<?php
//==============================================================
// Program Name		: 
// File Name		: sche_group.php
//--------------------------------------------------------------
// Date             : 2002/02/13
// Author           : S Fujii
//--------------------------------------------------------------
// Note				: 
//                  : 
//--------------------------------------------------------------
// Rev.             : 
//                  : 
//==============================================================

require("jetjob.inc");
require("sche_commonfunction.inc");		// 塼붦̴ؿ

define("MODE_INDEX",	0);
define("MODE_INSERT",	1);
define("MODE_UPDATE",	2);
define("MODE_VIEW",		3);
define("MODE_RESOURCE",	4);
define("MODE_UPDATE2",	5);

define("ACTION_INSERT",	1);
define("ACTION_UPDATE",	2);
define("ACTION_DELETE",	3);

define("OTHER_SCHEDULE_COLOR", "#ffff99");	// ʣͽο

define("ERRMSG_1",	"ͽ꤬Ťʤޤ\nͽλ֤ѹƲ");

// ɽ
$sel_array = array(VIEWTYPE_DAY => "ɽ", VIEWTYPE_WEEK => "ɽ", VIEWTYPE_MONTH => "ɽ");


//==============================================================
// Function Name    : GetSectionList
//--------------------------------------------------------------
// Note		        : 
//                  :
//==============================================================
Function GetSectionList()
{
	$ret = array();
	
	$db = new DB_Test;
	$sql = "SELECT section_id, section_name FROM common_section ORDER BY section_id";
	$db->query($sql);
	if ($db->nf() > 0)
	{
		while ($db->next_record())
		{
			$ret[$db->f("section_id")] = $db->f("section_name");
		}
	}
	$db->close();
	
	return $ret;
}


//==============================================================
// Function Name    : GetGroupList
//--------------------------------------------------------------
// Note		        : 
//                  :
//==============================================================
Function GetGroupList()
{
	$ret = array();
	
	$db = new DB_Test;
	$sql = "SELECT group_id, group_name FROM common_group WHERE common_flg = group_id ORDER BY group_id";
	$db->query($sql);
	if ($db->nf() > 0)
	{
		while ($db->next_record())
		{
			$ret[$db->f("group_id")] = $db->f("group_name");
		}
	}
	$db->close();
	
	return $ret;
}


//==============================================================
// Function Name    : GetSectionName
//--------------------------------------------------------------
// Note		        : 
//                  :
//==============================================================
Function GetSectionName($section_id, $group_type)
{
	$ret = "";
	
	$db = new DB_Test;
	
	if ($group_type == GROUPTYPE_SECTION)
	{
		$sql = sprintf("SELECT section_name FROM common_section WHERE section_id = '%s'", $section_id);
		$db->query($sql);
		if ($db->nf() > 0)
		{
			$db->next_record();
			$ret = $db->f("section_name");
		}
	}
	else
	{
		$sql = sprintf("SELECT group_name FROM common_group WHERE group_id = '%s'", $section_id);
		$db->query($sql);
		if ($db->nf() > 0)
		{
			$db->next_record();
			$ret = $db->f("group_name");
		}
	}
	$db->close();
	
	return $ret;
}


//==============================================================
// Function Name    : GetScheduleData
//--------------------------------------------------------------
// Note		        : ǡ
//                  :
//==============================================================
Function GetScheduleData($section_id, $group_type, $schedule_id)
{
	global $JJ_DATETIME_SEP;
	
	$ret = false;

	$A = new DB_Test;
	$str = sprintf("SELECT * FROM %s WHERE schedule_id = '%s' AND group_id = '%s' AND group_type = %d", 
			GROUP_TABLE, $schedule_id, $section_id, $group_type);
	$A->query($str);
	if ($A->nf() > 0)
	{
		$A->next_record();
		
		$ret = array();

		$ymd = explode($JJ_DATETIME_SEP, $A->f("hi"));
		$ret["hiduke"]			= sprintf("%04d-%02d-%02d", $ymd[0], $ymd[1], $ymd[2]);
		
		$hm = explode(":", $A->f("fzi"));
		$ret["from_time"]		= sprintf("%02d:%02d", $hm[0], $hm[1]);
		$hm = explode(":", $A->f("tzi"));
		$ret["to_time"]			= sprintf("%02d:%02d", $hm[0], $hm[1]);

		$ret["biko"] = $A->f("biko");
		$ret["data_type_id"]	= $A->f("data_type_id");
		$ret["data_color"]		= $A->f("data_color");
	}
	$A->close();
	
	return $ret;
}


//==============================================================
// Function Name    : Check_InputTime
//--------------------------------------------------------------
// Note		        : Ϥ줿֤Υå
//                  : 
//==============================================================
Function Check_InputTime($hiduke, $from_time, $to_time, $disable_id = "")
{
	global $JJ_DATE_SIEGE;
	global $section_id, $group_type;

	$ret = "";

	$db = new DB_Test;
	$query = sprintf("SELECT * FROM %s WHERE hi = %s%s%s", GROUP_TABLE, $JJ_DATE_SIEGE, $hiduke, $JJ_DATE_SIEGE);
	if ($disable_id)
		$query .= sprintf(" AND schedule_id <> '%s'", $disable_id);
	$query .= sprintf(" AND group_id = '%s' AND group_type = %d", $section_id, $group_type);
	$db->query($query);
	while ($db->next_record()) 
	{
		if ($db->f("fzi") == $from_time) 
		{
			$ret = ERRMSG_1;
			break;
		}
		
		if ($db->f("tzi") == $to_time) 
		{
			$ret = ERRMSG_1;
			break;
		}

		if ($db->f("fzi") < $from_time) 
		{
			if ($db->f("tzi") > $from_time) 
			{
				$ret = ERRMSG_1;
				break;
			}
			if ($db->f("tzi") > $to_time) 
			{
				$ret = ERRMSG_1;
				break;
			}
		}
		if ($db->f("fzi") > $from_time) 
		{
			if ($db->f("tzi") < $from_time) 
			{
				$ret = ERRMSG_1;
				break;
			}
			if ($db->f("fzi") < $to_time) 
			{
				$ret = ERRMSG_1;
				break;
			}
			if ($db->f("tzi") < $to_time) 
			{
				$ret = ERRMSG_1;
				break;
			}
		}
	}
	$db->close();
	
	return $ret;
}


//==============================================================
// Function Name    : InsertSchedule
//--------------------------------------------------------------
// Note		        : 
//                  :
//==============================================================
Function InsertSchedule($section_id, $group_type)
{
	global $JJ_USERNAME, $JJ_DATE_SIEGE;
	global $time_array;
	global $hiduke, $time_type, $from_time, $to_time, $data_type_id, $data;
	global $repeat_check, $repeat_day;

	if ($time_type == "allday") 
	{
		$from_time = $time_array[0];
//		$to_time = $time_array[count($time_array) - 1];
		$to_time = "24:00";
	}
	
	$from_time .= ":00";
	$to_time .= ":00";
	
	if (!isset($repeat_check))
		$repeat_day = 1;
	
	// åͽ꤬ŤʤäƤʤ
	$count = 0;
	$tmp_date = $hiduke;
	while ($count < $repeat_day)
	{
		$ret = Check_InputTime($tmp_date, $from_time, $to_time);
		if (!empty($ret))
			return $ret;
		
		$tmp_date = Next_date($tmp_date, "D", 1);
		$count++;
	}

	$A = new DB_Test;
	
	$count = 0;
	$tmp_date = $hiduke;
	while ($count < $repeat_day) 
	{
		// ID
		$no_f = uniqid("") . $JJ_USERNAME;
		
		// ɲ
		if (!isset($data_type_id))
			$data_type_id="0";
		
		$SQL = sprintf("INSERT INTO %s VALUES('%s', '%s', '%s', '%s', '%s', 0, '%s', Null, '%s', %d)",
					GROUP_TABLE, $tmp_date, $from_time, $to_time, $no_f, str_kigouchk($data), 
					$data_type_id, $section_id, $group_type);
		$A->query($SQL);
		
		$tmp_date = Next_date($tmp_date, "D", 1);
		$count++;
	}
	
	$A->close();
	
	return "";
}


//==============================================================
// Function Name    : UpdateSchedule
//--------------------------------------------------------------
// Note		        : 塼ơ֥륢åץǡ
//                  :
//==============================================================
Function UpdateSchedule($section_id, $group_type, $schedule_id)
{
	global $hiduke, $time_type, $from_time, $to_time, $data, $data_type_id;
	global $time_array;

	if ($time_type == "allday") 
	{
		$from_time = $time_array[0];
		$to_time = "24:00";
	}
	
	$from_time .= ":00";
	$to_time .= ":00";

	Explode_Date($hiduke, $fy, $fm, $fd);
	$work_hiduke = sprintf("%d/%d/%d", $fy, $fm, $fd);
	Check_InputTime($work_hiduke, $from_time, $to_time, $schedule_id);
	
	$A = new DB_Test;
	$sql = sprintf("UPDATE %s", GROUP_TABLE);
	$sql .= sprintf(" SET fzi = %s",			SQLF($from_time));
	$sql .= sprintf(", tzi = %s",				SQLF($to_time));
	$sql .= sprintf(", biko = %s",				SQLF(str_kigouchk($data)));
	$sql .= sprintf(", data_type_id = '%s'",	$data_type_id);
	$sql .= sprintf(" WHERE schedule_id = '%s' AND group_id = '%s' AND group_type = %d", 
				$schedule_id, $section_id, $group_type);
	$A->query($sql);
	$A->close();
	
	return "";
}


//==============================================================
// Function Name    : DeleteSchedule
//--------------------------------------------------------------
// Note		        : 塼ǡ
//                  :
//==============================================================
Function DeleteSchedule($section_id, $group_type, $schedule_id)
{
	$A = new DB_Test;

	$str = sprintf("DELETE FROM %s WHERE schedule_id = '%s' AND group_id = '%s' AND group_type = %d", 
			GROUP_TABLE, $schedule_id, $section_id, $group_type);
	$A->query($str);

	$A->close();
	
	return "";
}


//==============================================================
// function name    : InsertReserveData
//--------------------------------------------------------------
// note		        : ͽ
//                  :
//==============================================================
Function InsertReserveData($resource_id, $member_id = "")
{
	global $JJ_USER_ID;
	global $time_array;
	global $hiduke, $time_type, $from_time, $to_time, $repeat_check, $repeat_day, $data;

	if (empty($member_id))
		$member_id = $JJ_USER_ID;

	// ξ
	if ($time_type == "allday")
	{
		$from_time = $time_array[0];
		$to_time = "24:00";
	}
	
	// ֤
	if ($repeat_check)
		$kurikaesi = $repeat_day;
	else
		$kurikaesi = 1;

	// ֤Υեޥå
	$f_zikan = $from_time;
	
	$to_hm = explode(":", $to_time);
	if ($to_hm[1] == "30")
		$t_zikan = sprintf("%02d:29", $to_hm[0]);
	else
		$t_zikan = sprintf("%02d:59", $to_hm[0] - 1);
	
	// ʣå
	$f_hiduke = $hiduke;
	for ($x = 1; $x <= $kurikaesi; ++$x)
	{
		$err = CheckResource($f_hiduke, $f_zikan, $t_zikan, $resource_id);
		if (!empty($err))
			return $err;
		$f_hiduke = Next_date($f_hiduke, "D", 1);
	}
	
	$BB = new DB_Test;
	$f_hiduke = $hiduke;
	for ($x = 1; $x <= $kurikaesi; ++$x)
	{
		$from_hanni = $f_hiduke . $f_zikan;
		$to_hanni   = $f_hiduke . $t_zikan;

		$str = "INSERT INTO rsvn_dat";
		$str .= sprintf(" VALUES('%s', '%s', '%s', '%s', '%s', '%s', '%s', '1', Null, %s)",
					$member_id, $f_hiduke, $f_zikan, $t_zikan, $from_hanni, $to_hanni, $resource_id, 
					SQLF(str_kigouchk($data)));
		$BB->query($str);
		$f_hiduke = Next_date($f_hiduke, "D", 1);
	}
	$BB->close();
	
	return "";
}


//==============================================================
// Function Name    : Print_ViewChangeForm
//--------------------------------------------------------------
// Note		        : 
//                  :
//==============================================================
Function Print_ViewChangeForm()
{
	global $hiduke, $viewtype, $section_id, $group_type;
	global $sel_array;

	print("<table width=\"100%\" border=\"0\" cellspacing=\"3\" cellpadding=\"5\">\n");
	printf("<form name=\"view_form\" action=\"%s\" method=\"post\">\n", PG_NAME());
	printf("<input type=\"hidden\" name=\"hiduke\" value=\"%s\">\n", $hiduke);
	print("<tr>\n");

	if ($group_type == GROUPTYPE_SECTION)
		$current_id = SECTIONID_PREFIX . PREFIX_SPLITTER . $section_id;
	else
		$current_id = GROUPID_PREFIX . PREFIX_SPLITTER . $section_id;

	print("<td>ɽ롼<select name=\"new_section_id\" onchange=\"this.form.submit();\">\n");

	print("<option value=\"\">--- ° ---</option>\n");
	$section_list = GetSectionList();
	while (list($id, $name) = each($section_list))
	{
		$id = SECTIONID_PREFIX . PREFIX_SPLITTER . $id;
		if ($current_id == $id)
			printf("<option value=\"%s\" selected>%s</option>\n", $id, $name);
		else
			printf("<option value=\"%s\">%s</option>\n", $id, $name);
	}
	
	print("<option value=\"\">--- ͭ롼 ---</option>\n");
	$group_list = GetGroupList();
	while (list($id, $name) = each($group_list))
	{
		$id = GROUPID_PREFIX . PREFIX_SPLITTER . $id;
		if ($current_id == $id)
			printf("<option value=\"%s\" selected>%s</option>\n", $id, $name);
		else
			printf("<option value=\"%s\">%s</option>\n", $id, $name);
	}
	
	print("</select></td>\n");

	print("<td align=\"right\">\n");
	print("ɽ<select name=\"new_viewtype\" onChange=\"document.view_form.submit();\">\n");
	while (list($key, $val) = each($sel_array)) 
	{
		if ($viewtype == $key) {
			printf("<option value=\"%s\" selected>%s</option>\n", $key, $val);
		} else {
			printf("<option value=\"%s\">%s</option>\n", $key, $val);
		}
	}
	print("</select>\n");
	print("</td></tr></form></table>\n");
}


//==============================================================
// Function Name    : PrintGroupSchedule
//--------------------------------------------------------------
// Note		        : 
//                  :
//==============================================================
Function PrintGroupSchedule($date, $section_id, $group_type)
{
	global $JJ_DATE_SIEGE;

	$db = new DB_Test;
	$query = sprintf("SELECT * FROM %s WHERE hi = %s%s%s AND group_id = '%s' AND group_type = %d ORDER BY fzi", 
				GROUP_TABLE, $JJ_DATE_SIEGE, $date, $JJ_DATE_SIEGE, $section_id, $group_type);

	$db->query($query);
	$row = $db->nf();
	if ($row > 0)
	{
		while ($db->next_record()) 
		{
			$no				= $db->f("schedule_id");
			$time			= TimeFormat2($db->f("fzi"), $db->f("tzi"));
			$data			= $db->f("biko");
			$data_type_id	= $db->f("data_type_id");
			$data_type		= GetDataType($data_type_id);
			$data_color		= GetScheduleColor($data_type_id);
			
			if (empty($data_type))
				$schedule = sprintf("%s %s", $time, HTMLF($data));
			else
				$schedule = sprintf("%s %s %s", $time, HTMLF($data_type), htmlspecialchars($data));
			$view_link = sprintf("<a href=\"%s?mode=%d&schedule_id=%s&hiduke=%s\">%s</a>", 
							PG_NAME(), MODE_VIEW, $no, $date, $schedule);
			
			printf("<div align=\"left\"><font color=\"%s\"></font>%s</div>\n", 
				$data_color, $view_link);
		}
	}
	else
	{
		print("&nbsp;");
	}
	$db->close();
	
	return $row;
}


//==============================================================
// Function Name    : Print_MonthTable
//--------------------------------------------------------------
// Note		        : 
//                  :
//==============================================================
Function Print_MonthTable()
{
	global $section_id, $group_type, $hiduke;
	
	Explode_Date($hiduke, $y, $m, $d);
	
	list ($f_date, $t_date) = Month_ft($hiduke);
	Explode_Date($f_date, $f_y, $f_m, $f_d);
	Explode_Date($t_date, $t_y, $t_m, $t_d);

	$mv_date_b = Next_date($hiduke,"M",-1);
	$mv_date_a = Next_date($hiduke,"M", 1);
	
	// ơ֥إå
	print("<table border=\"1\" cellpadding=\"5\" cellspacing=\"0\" width=\"100%\">\n");
	print("<tr><td align=\"center\" colspan=\"7\" class=\"color01\">\n");
	printf("<a href=\"%s?mode=MON&hiduke=%s\"><img src=\"%s\" border=\"0\" width=\"11\" height=\"11\" alt=\"\"></a>\n", 
		PG_NAME(), $mv_date_b, LEFT_GIF);
	printf("<font color=\"white\"><b>[ %d ǯ %d  ]</b></font>\n", $y, $m);
	printf("<a href=\"%s?mode=MON&hiduke=%s\"><img src=\"%s\" border=\"0\" width=\"11\" height=\"11\" alt=\"\"></a>\n", 
		PG_NAME(), $mv_date_a, RIGHT_GIF);
	print("</td></tr>\n");
		
	printf("<tr align=\"center\" class=\"color02\">\n");
	printf("<td width=\"16%%\"><font color=\"%s\"><b></b></font></td>\n", HOLIDAY_FONT_COLOR);
	print("<td width=\"14%\"><b></b></td>\n");
	print("<td width=\"14%\"><b></b></td>\n");
	print("<td width=\"14%\"><b></b></td>\n");
	print("<td width=\"14%\"><b></b></td>\n");
	print("<td width=\"14%\"><b></b></td>\n");
	print("<td width=\"14%\"><b></b></td></tr>\n");
	
	$col_counter = 0;
	for ($i=$f_d+0; $i<=$t_d+0; $i++) {
		
		if (!$col_counter) {
			print("<tr align=\"right\" height=\"50\" valign=\"top\">\n");
		}
		
		// 
		if ($i == $f_d+0){
			for ($x=0; $x<Week_no($f_date); $x++){
				print("<TD><br></TD>\n");
				$col_counter++;
			}
		}
		$hiduke_p = sprintf("%04d-%02d-%02d", $y, $m, $i);
		$we = Week_no($hiduke_p);
		$holiday_name = Cal_Chk($hiduke_p);
		if ($hiduke_p == date("Y-m-d")) {	// 
			$font_color = TODAY_FONT_COLOR;
		} else if ($we == 0 || $holiday_name) {	// 
			$font_color = HOLIDAY_FONT_COLOR;
		} else {	// ʿ
			$font_color = "black";
		}
		
		print("<td height=\"50\">\n");
		
//		if (!$member_id) {
		if (IsPermission(PERM_GP_MANAGER)) 
		{
			printf("<a href=\"%s?mode=%d&hiduke=%d-%d-%d\">\n", PG_NAME(), MODE_INSERT, $y, $m, $i);
			printf("<img src=\"%s\" height=\"16\" width=\"36\" border=\"0\" ALT=\"ɲ\" align=\"absmiddle\" hspace=\"5\"></a>\n", 
				ADD_GIF);
		}
		printf("<font color=\"%s\">%d</font>\n", $font_color, $i);
		
		if ($holiday_name) {
			printf("<br><font size=\"-2\" color=\"%s\">%s</font>\n", HOLIDAY_FONT_COLOR, htmlspecialchars($holiday_name));
		}

		PrintGroupSchedule("$y-$m-$i", $section_id, $group_type);

		print("</td>");
		$col_counter++;
		
		if ($we == 6){
			print("</td></tr>\n");
			$col_counter = 0;
		}
	}
	
	// 򥻥
	if ($col_counter) {
		for ($i=$col_counter; $i<=6; $i++) {
			print("<td><br></td>\n");
		}
		print("</tr>\n");
	}
	
	print("</table>\n");
}


//==============================================================
// Function Name    : Print_WeekTable
//--------------------------------------------------------------
// Note		        : 
//                  :
//==============================================================
Function Print_WeekTable()
{
	global $section_id, $group_type, $hiduke;
	
	$mv_date_b = Next_date($hiduke,"D",-7);
	$mv_date_a = Next_date($hiduke,"D", 7);
	
	print("<table border=\"1\" cellpadding=\"5\" cellspacing=\"0\" width=\"100%\">\n");
	print("<tr class=\"color01\"><td colspan=\"2\" align=\"center\">\n");
	printf("<a href=\"%s?hiduke=%s\"><img height=\"11\" width=\"11\" src=\"%s\" border=\"0\" hspace=\"10\" alt=\"轵\"></a>\n", 
		PG_NAME(), $mv_date_b, LEFT_GIF);
	$ymd = explode("-", $hiduke);
	printf("<font color=\"white\"><b>[ %d ǯ %d  ]</b></font>\n", $ymd[0], $ymd[1]);
	printf("<a href=\"%s?hiduke=%s\"><img height=\"11\" width=\"11\" src=\"%s\" border=\"0\" hspace=\"10\" alt=\"轵\"></a>\n", 
		PG_NAME(), $mv_date_a, RIGHT_GIF);
	print("</tr>\n");

	list($f_date, $t_date) = Week_ft($hiduke);
	Explode_Date($f_date, $fy, $fm, $fd);
	Explode_Date($f_date, $ty, $tm, $td);
	$f_date = sprintf("%04d-%02d-%02d", $fy, $fm, $fd);
	for($x=0; $x<7; $x++) {
		
		Get_Dayoftheweek($f_date, $youbi, $bg_color, $font_color);

		// ơ֥إåʬ
		printf("<tr><td width=\"30%%\" class=\"color02\" align=\"center\"><font color=\"%s\">%s (%s)</font>\n", 
			 $font_color, date_format_jj($f_date), $youbi);
		if (IsPermission(PERM_GP_MANAGER)) 
		{
			print("<br>\n");
			printf("<a href=\"%s?mode=%d&hiduke=%s\">", PG_NAME(), MODE_INSERT, $f_date);
			printf("<img height=\"16\" width=\"36\" src=\"%s\" alt=\"ɲ\" border=\"0\"></a>\n", ADD_GIF);
		}
		print("</td>\n");

		print("<td>\n");
		
		// ̾ɽ
		$holiday_name = Cal_Chk($f_date);
		if ($holiday_name)
			printf("<font size=\"-2\" color=\"%s\">%s</font>\n", HOLIDAY_FONT_COLOR, $holiday_name);
		
		PrintGroupSchedule($f_date, $section_id, $group_type);

		print("</td></tr>\n");
		$f_date = Next_date($f_date,"D",1);
		Explode_Date($f_date, $fy, $fm, $fd);
		$f_date = sprintf("%04d-%02d-%02d", $fy, $fm, $fd);
	}
	print("</table>\n");
}


//==============================================================
// Function Name    : Print_DayTable
//--------------------------------------------------------------
// Note		        : 
//                  :
//==============================================================
Function Print_DayTable()
{
	global $time_array, $hiduke, $section_id, $group_type;
	global $f_time, $t_time;
	global $JJ_USE_DATABASE, $JJ_DATE_SIEGE;
	
	$mv_date_b = Next_date($hiduke,"D",-1);
	$mv_date_a = Next_date($hiduke,"D", 1);
	
	Get_Dayoftheweek($hiduke, $youbi, $iro, $dummy);

	// ơ֥إåʬ
	print("<table border=\"1\" cellpadding=\"5\" cellspacing=\"0\">\n");
	print("<tr><td align=\"center\" class=\"color01\" colspan=\"3\">\n");
	printf("<a href=\"%s?hiduke=%s\"><img height=\"11\" width=\"11\" src=\"%s\", border=\"0\" alt=\"\"></a>\n", 
		PG_NAME(), $mv_date_b, LEFT_GIF);
	printf("<font color=\"white\"><b> %s (%s) </b></font>\n", date_format_jj($hiduke), $youbi);
	printf("<a href=\"%s?hiduke=%s\"><img height=\"11\" width=\"11\" src=\"%s\", border=\"0\" alt=\"\"></a>\n", 
		PG_NAME(), $mv_date_a, RIGHT_GIF);
	
	if (IsPermission(PERM_GP_MANAGER)) 
	{
		printf("<a href=\"%s?mode=%d&hiduke=%s\" >", PG_NAME(), MODE_INSERT, $hiduke);
		printf("<IMG SRC=\"%s\" height=\"16\" width=\"36\" hspace=\"5\" align=\"absmiddle\" ALT=\"ɲ\" border=\"0\"></a>\n", ADD_GIF);
	}
	print("</td></tr>\n");

	$db = new DB_Test;
	$span = 0;
	for ($i=0; $i<count($time_array); $i++) 
	{
		
		$tmp = explode(":", $time_array[$i]);
		
		if ($f_time > $tmp[0] || $t_time < $tmp[0]) {
			continue;
		}

		print("<tr>\n");
		if ($tmp[0] < 12) {
			$bg_color = AM_COLOR;
		} else if ($tmp[0] < 18) {
			$bg_color = PM_COLOR;
		} else {
			$bg_color = NIGHT_COLOR;
		}
		if ($tmp[1] == "00") {
			printf("<td width=\"10%%\" align=\"center\" rowspan=\"2\" bgcolor=\"%s\">%d:%02d</td>\n", 
				$bg_color, $tmp[0], $tmp[1]);
		}
		printf("<td width=\"1%%\" bgcolor=\"%s\"><br></td>\n", $bg_color);
		
		if ($span) {
			$span--;
			print("</tr>\n");
			continue;
		}
		
		$query = sprintf("SELECT * FROM %s", GROUP_TABLE);
		$query .= sprintf(" WHERE fzi <= '%s:00' AND tzi > '%s:00' AND hi = %s%s%s AND group_id = '%s'",
					$time_array[$i], $time_array[$i], $JJ_DATE_SIEGE, $hiduke, $JJ_DATE_SIEGE, $section_id);
		$query .= sprintf(" AND group_type = %d", $group_type);
		$query .= " ORDER BY fzi";
		
		$db->query($query);
		if ($db->nf() > 0) 
		{
			$db->next_record();
			$no				= $db->f("schedule_id");
			$span			= GetTimeSpan($db->f("hi"), $no, $db->f("group_id"));
			$time			= TimeFormat2($db->f("fzi"), $db->f("tzi"));
			$data_type_id	= $db->f("data_type_id");
			$biko			= $db->f("biko");
			$data_type		= GetDataType($data_type_id);
			$data_color		= GetScheduleColor($data_type_id);
			if (empty($data_type))
				$schedule = sprintf("%s %s", $time, HTMLF($biko));
			else
				$schedule = sprintf("%s %s %s", $time, HTMLF($data_type), HTMLF($biko));
			
			printf("<td rowspan=\"%d\" bgcolor=\"%s\">", $span, $data_color);
			printf("<a href=\"%s?mode=%d&hiduke=%s&schedule_id=%s\">%s</a>", 
					PG_NAME(), MODE_VIEW, $hiduke, $no, $schedule);
			print("</td>\n");
			
			$span--;
		} 
		else 
		{
			print("<td><br></td>\n");
			$span = 0;
		}
		print("</tr>\n");
	}
	print("</table>\n");
	$db->close();
}


//==============================================================
// Function Name    : PrintInputPage
//--------------------------------------------------------------
// Note		        : 
//                  :
//==============================================================
Function PrintInputPage($section_id, $group_type, $schedule_id = "")
{
	global $mode, $hiduke;
	global $time_array, $repeat_array;
	global $time_type, $from_time, $to_time, $data, $data_type_id, $repeat_check, $repeat_day, $resource;

	// JavaScript
	?>
	<script language="JavaScript">
		// ɲû
		function submit_form(form) 
		{
			if (form.time_type[0].checked == true && form.from_time.selectedIndex > form.to_time.selectedIndex) {
				alert('ֻ꤬Ǥ');
				return;
			}
			form.submit();
		}
		
		// 
		function Update_submit(form) 
		{
			if (form.from_time.selectedIndex > form.to_time.selectedIndex) {
				alert('ֻ꤬Ǥ');
				return;
			}
			form.submit();
		}
	</script>
	<?

	if ($mode == MODE_UPDATE)
	{
		$data_list		= GetScheduleData($section_id, $group_type, $schedule_id);
		$hiduke			= $data_list["hiduke"];
		$from_time		= $data_list["from_time"];
		$to_time		= $data_list["to_time"];
		$data			= $data_list["biko"];
		$data_type_id	= $data_list["data_type_id"];
	}

	//ɽ
	if ($mode == MODE_INSERT)
	{
		printf("<form action=\"%s\" method=\"post\">\n", PG_NAME());
		printf("<input type=\"hidden\" name=\"action\" value=\"%d\">\n", ACTION_INSERT);
		$title = sprintf("%s롼פͽɲ [%s]", GetSectionName($section_id, $group_type), date_format_jj($hiduke));
		$msg = "ƹϸ塢Ͽܥ򲡤Ʋ";
	}
	else 
	{
		printf("<form action=\"%s\" method=\"post\">\n", PG_NAME());
		printf("<input type=\"hidden\" name=\"action\" value=\"%d\">\n", ACTION_UPDATE);
		$title = sprintf("ͽ꽤 [%s]", date_format_jj($hiduke));
		$msg = "ƹܽ塢ܥ򲡤Ʋ";
	}
	printf("<input type=\"hidden\" name=\"old_mode\" value=\"%d\">\n", $mode);
	print("<input type=\"hidden\" name=\"mode\" value=\"\">\n");
	printf("<input type=\"hidden\" name=\"hiduke\" value=\"%s\">\n", $hiduke);
	printf("<input type=\"hidden\" name=\"schedule_id\" value=\"%s\">\n", $schedule_id);
	
	print("<table border=\"0\" cellpadding=\"5\" cellspacing=\"2\" width=\"100%\">\n");
	printf("<tr><td class=\"color02\" colspan=\"2\"><b>%s</b></td></tr>\n", $title);
	printf("<tr><td colspan=\"2\">%s</td></tr>\n", $msg);

	if ($from_time == "07:00" && $to_time == "24:00")
		$time_type = 1;
	else
		$time_type = 0;

	// 
	print("<tr><td class=\"color01\"><b></b></td>\n");
	printf("<td bgcolor=\"%s\">", BG_COLOR_5);

	if ($time_type)
		print("<input type=\"radio\" name=\"time_type\" value=\"time\">ֻ\n");
	else
		print("<input type=\"radio\" name=\"time_type\" value=\"time\" checked>ֻ\n");

	print("<select name=\"from_time\">\n");
	for ($i=0; $i<count($time_array) - 1; $i++) {
		if ($from_time == $time_array[$i]) {
			printf("<option value=\"%s\" selected>%s</option>\n", $time_array[$i], $time_array[$i]);
		} else {
			printf("<option value=\"%s\">%s</option>\n", $time_array[$i], $time_array[$i]);
		}
	}
	print("</select>\n");
	print(" <select name=\"to_time\">\n");
	for ($i=1; $i<count($time_array); $i++) {
		if ($to_time == $time_array[$i]) {
			printf("<option value=\"%s\" selected>%s</option>\n", $time_array[$i], $time_array[$i]);
		} else {
			printf("<option value=\"%s\">%s</option>\n", $time_array[$i], $time_array[$i]);
		}
	}
	print("</select>\n");
	
	if ($time_type)
		print("<br><input type=\"radio\" name=\"time_type\" value=\"allday\" checked>\n");
	else
		print("<br><input type=\"radio\" name=\"time_type\" value=\"allday\">\n");

	print("</td></tr>\n");

	// 
	$data_type_array = Get_DataTypeArray();
	printf("<tr><td class=\"color01\"><b>ͽμ</b></td><td bgcolor=\"%s\">\n", BG_COLOR_5);
	print("<select name=\"data_type_id\">\n");
	print("<option value=\"0\">ʤ</option>\n");
	if ($data_type_array) {
		reset($data_type_array);
		while (list($key, $val) = each($data_type_array)) {
			if ($data_type_id == $key) {
				printf("<option value=\"%s\" selected>%s</option>\n", $key, htmlspecialchars($val));
			} else {
				printf("<option value=\"%s\">%s</option>\n", $key, htmlspecialchars($val));
			}
		}
	}
	print("</select>\n");
	print("</td></tr>\n");

	// 
	printf("<tr><td class=\"color01\"><b></b></td><td bgcolor=\"%s\">\n", BG_COLOR_5);
	printf("<input type=\"text\" size=\"60\" maxlength=\"60\" name=\"data\" value=\"%s\">\n",
				htmlspecialchars($data));
	print("</td></tr>\n");

	// ֤
	if ($mode == MODE_INSERT) 
	{
		print("<tr><td class=\"color01\"><b>ͽη֤</b></td>\n");
		printf("<td bgcolor=\"%s\">\n", BG_COLOR_5);
		if ($repeat_check)
			print("<input type=\"checkbox\" name=\"repeat_check\" value=\"1\" checked>ͽ򷫤֤\n");
		else
			print("<input type=\"checkbox\" name=\"repeat_check\" value=\"1\">ͽ򷫤֤\n");
		print("<select name=\"repeat_day\">\n");
		while (list($i, $val) = each($repeat_array))
		{
			if ($i == $repeat_day)
				printf("<option value=\"%d\" selected>%s</option>\n", $i, $val);
			else
				printf("<option value=\"%d\">%s</option>\n", $i, $val);
		}
		print("</select></td></tr>\n");
	}

	// ͽ
	$resource_name = "";
	if (!empty($resource))
	{
		for ($i = 0; $i < count($resource); ++$i)
		{
			$resource_name .= " " . GetResourceName($resource[$i]);
			printf("<input type=\"hidden\" name=\"resource[]\" value=\"%s\">\n", $resource[$i]);
		}
	}
	$script = sprintf("this.form.action.value='';this.form.mode.value='%d';this.form.submit();", MODE_RESOURCE);
	print("<tr>\n");
	print("<td class=\"color01\"><b>ߤͽ󤹤</b></td>\n");
	printf("<td bgcolor=\"%s\"><input type=\"button\" value=\"ͽ\" onclick=\"%s\">%s</td>\n", 
		BG_COLOR_5, $script, HTMLF($resource_name));
	print("</tr>\n");

	//ܥ
	print("<tr><td colspan=\"2\" align=\"center\">\n");
	if ($mode == MODE_INSERT)
		print("<input type=\"button\" value=\"Ͽ\" onclick=\"submit_form(this.form);\">\n");
	else
		print("<input type=\"button\" value=\"\" onclick=\"Update_submit(this.form);\">\n");
	print("<input type=\"reset\" value=\"ꥻå\">\n");
	print("</td></tr>\n");

	print("</form>\n");
	
	print("<tr>\n");
	print("<td colspan=\"2\"><hr></td>\n");
	print("</tr>\n");

	// ɽǡ----------------------------------
	printf("<tr><td colspan=\"2\" class=\"color02\"><b>ϿѤߤͽ</b></td></tr>\n", BG_COLOR_5);
	printf("<tr><td colspan=\"2\" bgcolor=\"%s\">\n", BG_COLOR_5);
	PrintGroupSchedule($hiduke, $section_id, $group_type);
	print("</td></tr>\n");
	
	print("<tr>\n");
	print("<td colspan=\"2\"><hr></td>\n");
	print("</tr>\n");

	print("<tr>\n");
	printf("<td colspan=\"2\" align=\"center\"><a href=\"%s?hiduke=%s\"></a></td>\n", PG_NAME(), $hiduke);
	print("</tr>\n");
	
	print("</table>\n");
}


//==============================================================
// Function Name    : PrintViewPage
//--------------------------------------------------------------
// Note		        : 
//                  :
//==============================================================
Function PrintViewPage($section_id, $group_type, $schedule_id)
{
	global $hiduke;
	
	$data = GetScheduleData($section_id, $group_type, $schedule_id);
	if ($data)
	{
		$time			= TimeFormat2($data["from_time"], $data["to_time"]);
		$date			= $data["hiduke"];
		$biko			= $data["biko"];
		$data_type_id	= $data["data_type_id"];
		$data_type		= GetDataType($data_type_id);

		print("<table width=\"100%\" border=\"0\" cellpadding=\"5\" cellspacing=\"2\">\n");
		print("<tr><td class=\"color01\"colspan=\"2\" align=\"center\"><b>塼ǧ</b></td></tr>\n");
		print("<tr><td width=\"25%\" class=\"color02\"><b></b></td>\n");
		printf("<td bgcolor=\"#f7f2e8\">%s</td></tr>\n", date_format_jj($date));
		print("<tr><td class=\"color02\"><b></b></td>\n");
		printf("<td bgcolor=\"#f7f2e8\">%s</td></tr>\n", $time);
		print("<tr><td class=\"color02\"><b>ͽ</b></td>\n");
		printf("<td bgcolor=\"#f7f2e8\">%s</td>\n", HTMLF($data_type));
		print("<tr><td class=\"color02\"><b></b></td>\n");
		printf("<td bgcolor=\"#f7f2e8\">%s</td></tr>\n", HTMLF($biko));

		if (IsPermission(PERM_GP_MANAGER))
		{
			$upd_img = sprintf("<img src=\"%s\" border=\"0\" width=\"36\" height=\"16\">", UPD_GIF);
			$del_img = sprintf("<img src=\"%s\" border=\"0\" width=\"36\" height=\"16\">", DEL_GIF);
			print("<tr align=\"center\">\n");
			printf("<td colspan=\"2\"><a href=\"%s?mode=%d&schedule_id=%s\">%s</a>\n", 
				PG_NAME(), MODE_UPDATE, $schedule_id, $upd_img);
			printf("<a href=\"%s?action=%d&schedule_id=%s&hiduke=%s\">%s</a></td>\n", 
				PG_NAME(), ACTION_DELETE, $schedule_id, $hiduke, $del_img);
			print("</tr>\n");
		}

		print("<tr>\n");
		print("<td colspan=\"2\"><hr></td>\n");
		print("</tr>\n");
		
		print("<tr>\n");
		printf("<td colspan=\"2\" align=\"center\"><a href=\"%s?hiduke=%s\"></a></td>\n", PG_NAME(), $hiduke);
		print("</tr>\n");
		
		print("</table>\n");
	}
}


//==============================================================
// Function Name    : PrintIndexPage
//--------------------------------------------------------------
// Note		        : 
//                  :
//==============================================================
Function PrintIndexPage($viewtype)
{
	Print_ViewChangeForm();

	switch ($viewtype) 
	{
		case VIEWTYPE_MONTH :
			Print_MonthTable();
			break;
		case VIEWTYPE_WEEK :
			Print_WeekTable();
			break;
		default :
			Print_DayTable();
	}
}


//==============================================================
// Function Name    : PrintResourceIndex
//--------------------------------------------------------------
// Note		        : Ѳǽʻ߰ɽ
//                  :
//==============================================================
Function PrintResourceIndex()
{
	global $hiduke, $time_type, $from_time, $to_time, $resource;
	global $HTTP_POST_VARS;
	
	if (empty($resource))
		$resource = array();
	
	if ($HTTP_POST_VARS["old_mode"] == MODE_UPDATE)
		$HTTP_POST_VARS["mode"] = MODE_UPDATE2;
	else
		$HTTP_POST_VARS["mode"] = MODE_INSERT;
	
	if (isset($HTTP_POST_VARS["resource"]))
		$HTTP_POST_VARS["resource"] = "";
	
	print("<table width=\"100%\" border=\"0\" cellspacing=\"3\" cellpadding=\"5\">\n");
	printf("<form action=\"%s\" method=\"post\">\n", PG_NAME());
	while (list($name, $value) = each($HTTP_POST_VARS))
	{
		printf("<input type=\"hidden\" name=\"%s\" value=\"%s\">\n", $name, $value);
	}
	
	print("<tr>\n");
	print("<td class=\"color01\"><b>Ѳǽ</b></td>\n");
	print("</tr>\n");
	
	$resource_list = array();
	$db = new DB_Test;
	$sql = "SELECT rsvn_id, sname FROM rsvn_mst ORDER BY rsvn_gp_id, rsvn_id";
	$db->query($sql);
	if ($db->nf() > 0)
	{
		while ($db->next_record())
		{
			$rsvn_id = $db->f("rsvn_id");
			
			$err = CheckResource($hiduke, $from_time, $to_time, $rsvn_id);
			if (empty($err))
				$resource_list[$rsvn_id] = $db->f("sname");
		}
	}
	$db->close();
	
	if (count($resource_list) > 0)
	{
		while (list($id, $name) = each($resource_list))
		{
			print("<tr>\n");
			if (in_array($id, $resource))
				$checkbox = sprintf("<input type=\"checkbox\" name=\"resource[]\" value=\"%s\" checked>", $id);
			else
				$checkbox = sprintf("<input type=\"checkbox\" name=\"resource[]\" value=\"%s\">", $id);
			printf("<td bgcolor=\"#f7f2e8\">%s%s</td>\n", $checkbox, HTMLF($name));
			print("</tr>\n");
		}
	}
	else
	{
		print("<tr>\n");
		print("<td>ѲǽʻߤϤޤ</td>\n");
		print("</tr>\n");
	}
	
	print("<tr>\n");
	print("<td align=\"center\"><input type=\"submit\" value=\"\"></td>\n");
	print("</tr>\n");
	
	print("</form>\n");
	print("</table>\n");
}


//==============================================================
// Function Name    : Program_Start
//--------------------------------------------------------------
// Note		        : 
//                  :
//==============================================================

Login_Start(PG_NAME());

// ǡɤ߹
Get_OptionData($opt_viewtype, $f_time, $t_time, $init_public);

// ɽ
if (isset($new_viewtype))
{
	ChangeViewType($new_viewtype);
}
elseif (!isset($viewtype))
{
	$viewtype = $opt_viewtype;
}

// ɽ롼פ
if (isset($new_section_id) && !empty($new_section_id))
{
	setcookie("section_id", $new_section_id, 0, $PHP_SELF);
	$section_id = $new_section_id;
}
elseif (!isset($section_id) || empty($section_id))
{
	$section_id = SECTIONID_PREFIX . PREFIX_SPLITTER . GetSectionID();
}

// 롼פIDʬ
$buf = explode(PREFIX_SPLITTER, $section_id);
if ($buf[0] == SECTIONID_PREFIX)
	$group_type = GROUPTYPE_SECTION;
else
	$group_type = GROUPTYPE_GROUP;
$section_id = $buf[1];

if (!isset($hiduke))	$hiduke = date("Y-m-d");
if (!isset($mode))		$mode = MODE_INDEX;

$msg = "";
if (isset($action))
{
	switch ($action)
	{
		case ACTION_INSERT :
			if (isset($resource))
			{
				for ($i = 0; $i <= count($resource) - 1; ++$i)
				{
					$msg = InsertReserveData($resource[$i]);
				}
			}
			if (empty($msg))
				$msg = InsertSchedule($section_id, $group_type);
			break;
		case ACTION_UPDATE :
			if (isset($resource))
			{
				for ($i = 0; $i <= count($resource) - 1; ++$i)
				{
					$msg = InsertReserveData($resource[$i]);
				}
			}
			if (empty($msg))
				$msg = UpdateSchedule($section_id, $group_type, $schedule_id);
			break;
		case ACTION_DELETE :
			$msg = DeleteSchedule($section_id, $group_type, $schedule_id);
			break;
	}
}

include("common_printheader.inc");

Print_Menu(2);
print("<table width=\"590\" border=\"0\" cellpadding=\"5\" cellspacing=\"0\">\n");
print("<tr><td bgcolor=\"white\">\n");

if (!empty($msg))
{
	printf("<p align=\"center\"><font color=\"red\"><b>%s</b></font></p>\n", $msg);
	print("<p align=\"center\"><a href=\"javascript:history.back();\"></a></p>\n");
}
else
{
	switch ($mode)
	{
		case MODE_INSERT :
			PrintInputPage($section_id, $group_type);
			break;
		case MODE_UPDATE :
		case MODE_UPDATE2 :
			PrintInputPage($section_id, $group_type, $schedule_id);
			break;
		case MODE_VIEW :
			PrintViewPage($section_id, $group_type, $schedule_id);
			break;
		case MODE_RESOURCE :
			PrintResourceIndex();
			break;
		default :
			PrintIndexPage($viewtype);
	}
}

print("</td></tr></table>\n");

include("common_printfooter.inc");

?>