<?php
//==============================================================
// Program Name		: ODBC³饹
// File Name		: db_odbc.inc
//--------------------------------------------------------------
// Date             : 2000/11/08
// Author           : S Fujii
//--------------------------------------------------------------
// Note				: Version 1.0
//                  : 
//--------------------------------------------------------------
// Rev.             : 
//                  : 
//==============================================================

class DB_Sql {
	var $Host     = "";
	var $Database = "";
	var $User     = "";
	var $Password = "";
	var $UseODBCCursor = 0;

	var $Link_ID  = 0;
	var $Query_ID = 0;
	var $Record   = array();
	var $Row      = 0;
	var $Errno    = 0;
	var $Error    = "";
	var $Auto_Free = 0;


//==============================================================
// Function Name    : DB_Sql
//--------------------------------------------------------------
// Note		        : 
//                  :
//==============================================================
  function DB_Sql($query = "") {
      $this->query($query);
  }

//==============================================================
// Function Name    : connect
//--------------------------------------------------------------
// Note		        : 
//                  :
//==============================================================
  function connect() {
    if ( 0 == $this->Link_ID ) {
      $this->Link_ID=odbc_connect($this->Database, $this->User, $this->Password, $this->UseODBCCursor);
      if (!$this->Link_ID) {
        $this->halt("Link-ID == false, odbc_pconnect failed");
      }
    }
  }
  
//==============================================================
// Function Name    : query
//--------------------------------------------------------------
// Note		        : 
//                  :
//==============================================================
	function query($Query_String) {

    	if ($Query_String == "")
			return 0;

		$this->connect();

		$this->Query_ID = odbc_exec($this->Link_ID,$Query_String);
		$this->Row = 0;
		odbc_binmode($this->Query_ID, 1);
		odbc_longreadlen($this->Query_ID, 4096);

		if (!$this->Query_ID) {
			$this->Errno = 1;
			$this->Error = "General Error (The ODBC interface cannot return detailed error messages).";
			$this->halt("Invalid SQL: ".$Query_String);
		}
		return $this->Query_ID;
	}

//==============================================================
// Function Name    : next_record
//--------------------------------------------------------------
// Note		        : 
//                  :
//==============================================================
	function next_record() {
		$this->Record = array();
		$stat      = odbc_fetch_into($this->Query_ID, ++$this->Row, &$this->Record);
		if (!$stat) {
			if ($this->Auto_Free) {
				odbc_free_result($this->Query_ID);
				$this->Query_ID = 0;
			};
		} else {
			$count = odbc_num_fields($this->Query_ID);
			for ($i=1; $i<=$count; $i++)
				$this->Record[strtolower(odbc_field_name ($this->Query_ID, $i)) ] = $this->Record[ $i - 1 ];
			}
			return $stat;
	}
  
//==============================================================
// Function Name    : seek
//--------------------------------------------------------------
// Note		        : 
//                  :
//==============================================================
	function seek($pos) {
		$this->Row = $pos;
	}
  
//==============================================================
// Function Name    : affected_rows
//--------------------------------------------------------------
// Note		        : 
//                  :
//==============================================================
	function affected_rows() {
		return odbc_num_rows($this->Query_ID);
	}
  
//==============================================================
// Function Name    : num_rows
//--------------------------------------------------------------
// Note		        : 
//                  :
//==============================================================
	function num_rows() {
		$num_rows = odbc_num_rows($this->Query_ID);

		if ($num_rows < 0) {
			$i=10;
			while (odbc_fetch_row($this->Query_ID, $i)) 
				$i*=10;

			$j=0;
			while ($i!=$j) {
				$k= $j+intval(($i-$j)/2);
				if (odbc_fetch_row($this->Query_ID, $k))
					$j=$k;
				else 
					$i=$k;
				if (($i-$j)==1) {
					if (odbc_fetch_row($this->Query_ID, $i)) 
						$j=$i;
					else 
						$i=$j; 
				};
			};
			$num_rows=$i;
		}
		
		return $num_rows;
  }
  
//==============================================================
// Function Name    : num_fields
//--------------------------------------------------------------
// Note		        : 
//                  :
//==============================================================
	function num_fields() {
		return count($this->Record)/2;
	}

//==============================================================
// Function Name    : nf
//--------------------------------------------------------------
// Note		        : 
//                  :
//==============================================================
	function nf() {
		return $this->num_rows();
	}
  
//==============================================================
// Function Name    : f
//--------------------------------------------------------------
// Note		        : 
//                  :
//==============================================================
	function f($Field_Name) {
		return $this->Record[strtolower($Field_Name)];
	}
  
//==============================================================
// Function Name    : halt
//--------------------------------------------------------------
// Note		        : 
//                  :
//==============================================================
	function halt($msg) {
		printf("</td></tr></table><b>Database error:</b> %s<br>\n", $msg);
		printf("<b>ODBC Error</b>: %s (%s)<br>\n",
		$this->Errno,
		$this->Error);
		die("Session halted.");
	}

//==============================================================
// Function Name    : close
//--------------------------------------------------------------
// Note		        : 
//                  :
//==============================================================
	function close() {
		if ($this->Query_ID)
			odbc_free_result($this->Query_ID);
		if ($this->Link_ID)
//			odbc_close($this->Link_ID);
		return;
	}

}
?>
