<?php
//==============================================================
// Program Name		: Oracle³饹
// File Name		: db_oracle.inc
//--------------------------------------------------------------
// Date             : 2000/10/16
// Author           : S Fujii
//--------------------------------------------------------------
// Note				: Version 1.0
//                  : 
//--------------------------------------------------------------
// Rev.             : 
//                  : 
//==============================================================

Class DB_Sql {
	var $Home	  = "";
	var $Remote	  = true;
	var $Database = "";	// ǡ١̾
	var $User     = "";	// ³桼̾
	var $Password = "";	// 桼ѥ

	var $Link_ID	 = 0;
	var $Result_ID	 = 0;
	var $Record		 = array();
	var $Row		 = 0;
	var $Error		 = "";

//==============================================================
// Function Name    : connect
//--------------------------------------------------------------
// Note		        : 
//                  :
//==============================================================
	Function connect()
	{
		putenv("NLS_LANG=japanese_japan.ja16euc");
		if ($this->Database) {
			$str = sprintf("ORACLE_SID=%s", $this->Database);
			putenv($str);
		}
		if ($this->Home) {
			$str = sprintf("ORACLE_HOME=%s", $this->Home);
			putenv($str);
		}
		
		if ($this->Link_ID == 0) {
			if ($this->Remote) {
				$this->Link_ID = OCILogon($this->User, $this->Password, $this->Database);
			} else {
				$this->Link_ID = OCILogon($this->User, $this->Password);
			}
			if (!$this->Link_ID) {
				$this->Error = OCIError($this->Link_ID);
				$this->halt("Link-ID == false, OCILogon() failed");
			}
		}
 	}

//==============================================================
// Function Name    : query
//--------------------------------------------------------------
// Note		        : 
//                  :
//==============================================================
	Function query($Query_String)
	{
		if (!$Query_String) {
			return;
		}
		
		$this->connect();

		$this->Result_ID = @OCIParse($this->Link_ID, $Query_String);
		if (!$this->Result_ID) {
			$this->Error = OCIError($this->Result_ID);
			$this->halt("OCIParse() failed:");
		}
		
		if (!@OCIExecute($this->Result_ID)) {
			$this->Error = OCIError($this->Result_ID);
			$this->halt("OCIExecute() failed: Query = $Query_String");
		}
		
		if (strtolower(substr($Query_String, 0, 6)) != "select") {
			OCICommit($this->Link_ID);
		}
		
		$this->Row = 0;
	    
	    return $this->Result_ID;
	}

//==============================================================
// Function Name    : next_record
//--------------------------------------------------------------
// Note		        : 
//                  :
//==============================================================
	Function next_record()
	{
		OCIFetchInto($this->Result_ID, $this->Record, OCI_ASSOC);
		$this->Row++;
		
		return is_array($this->Record);
	}

//==============================================================
// Function Name    : affected_rows
//--------------------------------------------------------------
// Note		        : 
//                  :
//==============================================================
	Function affected_rows()
	{
    	return OCIRowCount($this->Result_ID);
	}

//==============================================================
// Function Name    : num_rows
//--------------------------------------------------------------
// Note		        : 
//                  :
//==============================================================
	Function num_rows()
	{
    	return ora_numrows($this->Result_ID);
	}

//==============================================================
// Function Name    : num_fields
//--------------------------------------------------------------
// Note		        : 
//                  :
//==============================================================
	Function num_fields()
	{
		return ora_numcols($this->Result_ID);
	}

//==============================================================
// Function Name    : nf
//--------------------------------------------------------------
// Note		        : 
//                  :
//==============================================================
	Function nf()
	{
		return OCIRowCount($this->Result_ID);
	}

//==============================================================
// Function Name    : f
//--------------------------------------------------------------
// Note		        : 
//                  :
//==============================================================
	Function f($Name)
	{
    	return $this->Record[strtoupper($Name)];
	}

//==============================================================
// Function Name    : halt
//--------------------------------------------------------------
// Note		        : 
//                  :
//==============================================================
	Function halt($msg)
	{
		printf("<b>Database error:</b> %s<br>\n", $msg);
		printf("<b>Oracle Error</b>: %s <br>\n", $this->Error[0]);
		die("Session halted.");
	}

//==============================================================
// Function Name    : 
//--------------------------------------------------------------
// Note		        : 
//                  :
//==============================================================
	Function debug()
	{
		while (list($key, $val) = each($this->Record)) {
			printf("Key = %s   Val = %s<br>\n", $key, $val);
		}
	}

//==============================================================
// Function Name    : Close
//--------------------------------------------------------------
// Note		        : 
//                  :
//==============================================================
	Function Close()
	{
	}
}
?>
