<?php
//==============================================================
// Program Name		: mail_smtp.inc
// File Name		: mail_smtp.inc
//--------------------------------------------------------------
// Date				: 
// Author			: 
//--------------------------------------------------------------
// Note				: 
//					: 
//--------------------------------------------------------------
// Rev.				: 
//					: 
//==============================================================
if (isset($SMTP_INC)) return;

$SMTP_INC="defined";

$ver=phpversion();
if ($ver[0] == "3")
	$inc_file = "common_check_strpos_php3.inc";
//else if ($ver[0] == "4")
else
	$inc_file = "common_check_strpos_php4.inc";
require_once($inc_file);


define("_SmtpPort_", 25);
define("_XMailer_", "JetJob Mailer(Version 1.1.5)");


//==============================================================
// Class Name		: Smtp
// Date				: 
// Author			: 
//--------------------------------------------------------------
// Function			: 
//					: 
//--------------------------------------------------------------
// Rev.				: 
//					: 
//==============================================================
class Smtp 
{
	var	$Server;
	var	$Port;
	var	$Subject;				// string the email's subject 
	var	$FromName;				// string sender's name (opt) 
	var	$ToName;				// string recipient's name (opt) 
	var	$FromEmail;				// string sender's address
	var	$ToEmail;				// string recipient's address
	var	$Cc;
	var	$Bcc;
	var	$MsgId;
	var	$InReplyTo;
	var	$References;
	var	$MimeVer;
	var	$ContentType;
	var	$TransferEncoding;
	var	$XMailer;
	var	$Body;					// string body copy 
	var	$Attachment;			// attachment (optional)
	var	$AttachmentType;
	var	$SendData;
	var	$Socket;
	var	$Line;
	var	$Status;
	var $EncodeType;


//==============================================================
// Function Name	: 
//--------------------------------------------------------------
// Note				: 
//					: 
//==============================================================
	function Smtp($Server="localhost", $Port=_SmtpPort_)
	{	 
		return $this->Open($Server, $Port);
	}


//==============================================================
// Function Name	: 
//--------------------------------------------------------------
// Note				: 
//					: 
//==============================================================
	function SmtpMail($FromEmail, $FromName, $ToEmail, $ToName, $Subject, 
						$Body, $Attachment="", $AttachmentName="", $AttachmentType="TEXT", 
						$EncodeType="", $Cc="", $Bcc="", $opt_header="")
	{
		$this->ToEmail	 = explode(",", $ToEmail);
		if ($Cc) {
			$this->Cc = explode(",", $Cc);
		}
		if ($Bcc) {
			$this->Bcc = explode(",", $Bcc);
		}

		$this->ToName	 = $ToName;
		$this->FromName	 = $FromName;
		$this->FromEmail = $FromEmail;
		$this->Subject	 = $Subject;
		$this->Body		 = $Body;
		$this->Attachment		 = $Attachment;
		$this->AttachmentName	 = $AttachmentName;
		$this->AttachmentType	 = $AttachmentType;
		$this->EncodeType		 = $EncodeType;
		if (!empty($opt_header["inreplyto"]))
			$this->InReplyTo = $opt_header["inreplyto"];
		else
			$this->InReplyTo = "";
		if (!empty($opt_header["references"]))
			$this->References = $opt_header["references"];
		else
			$this->References = "";
		$this->MsgId = $this->createMessageId();

		if ($this->Helo() == false)
		{
			return false;
		}
		
		if ($this->MailFrom($FromEmail) == false) 
		{
			return false;
		}
		
		for ($i=0; $i<count($this->ToEmail); $i++) 
		{
			if (!$this->RcptTo($this->ToEmail[$i])) 
			{
				return false;
			}
		}
		
		if (!empty($this->Cc)) 
		{
			for ($i=0; $i<count($this->Cc); $i++) 
			{
				if (!$this->RcptTo($this->Cc[$i])) 
				{
					return false;
				}
			}
		}

		if (!empty($this->Bcc)) {
			for ($i=0; $i<count($this->Bcc); $i++) 
			{
				if (!$this->RcptTo($this->Bcc[$i])) 
				{
					return false;
				}
			}
		}
		
		if ($this->Body() == false)
		{
			return false;
		}
		if ($this->Quit() == false)
		{
			return false;
		}
		return true;
	}


//==============================================================
// Function Name	: 
//--------------------------------------------------------------
// Note				: 
//					: 
//==============================================================
	function Open($server, $port)
	{
		$this->Socket = fsockopen($server, $port);
		if ($this->Socket == false) return false;

   		$this->Line = fgets($this->Socket, 1024);

		$this->Status["LASTRESULT"] = substr($this->Line, 0, 1);
		$this->Status["LASTRESULTTXT"] = substr($this->Line, 0, 1024);

		if ($this->Status["LASTRESULT"] != "2") return false;

		$this->Server = $server;
		$this->Port = $port;
		$this->XMailer = _XMailer_;
		$this->ContentType = "text/plain; charset=\"ISO-2022-JP\"";
		$this->TransferEncoding = "7bit";

		return true;
	}


//==============================================================
// Function Name	: 
//--------------------------------------------------------------
// Note				: 
//					: 
//==============================================================
	function Helo()
	{
		if ($this->Socket == false) return false;

		if (fputs($this->Socket, "helo localhost\r\n") < 0)
		{
			return false;
		}
		$this->Line = fgets($this->Socket, 1024);

		$this->Status["LASTRESULT"] = substr($this->Line, 0, 1);
		$this->Status["LASTRESULTTXT"] = substr($this->Line, 0, 1024);

		if ($this->Status["LASTRESULT"] != "2") return false;

		return true;
	}


//==============================================================
// Function Name	: 
//--------------------------------------------------------------
// Note				: 
//					: 
//==============================================================
	function Ehlo()
	{
		/* Well, let's use "helo" for now.. Until we need the
		extra func's   [Unk]
		*/
		if ($this->Socket == false) return false;

		if(fputs($this->Socket, "helo localhost\r\n") < 0)
		{
			return false;
		}
		$this->Line = fgets($this->Socket, 1024);

		$this->Status["LASTRESULT"] = substr($this->Line, 0, 1);
		$this->Status["LASTRESULTTXT"] = substr($this->Line, 0, 1024);

		if ($this->Status["LASTRESULT"] != "2") return false;

		return true;
	}


//==============================================================
// Function Name	: 
//--------------------------------------------------------------
// Note				: 
//					: 
//==============================================================
	function MailFrom($FromEmail)
	{
		if ($this->Socket == false) return false;

		if (fputs($this->Socket, "MAIL FROM: <$FromEmail>\r\n")<0){
			return false;
		}

		$this->Line = fgets($this->Socket, 1024);

		$this->Status["LASTRESULT"] = substr($this->Line, 0, 1);
		$this->Status["LASTRESULTTXT"] = substr($this->Line, 0, 1024);

		if ($this->Status["LASTRESULT"] != "2") return false;

		return true;
	}


//==============================================================
// Function Name	: 
//--------------------------------------------------------------
// Note				: 
//					: 
//==============================================================
	function RcptTo($ToEmail)
	{
		if ($this->Socket == false) return false;

		$to_addr = $ToEmail;
		$pos1 = strpos($ToEmail, "<");
		$check = check_strpos_result($pos1);
		if ($check)
		{
			$pos2 = strpos($ToEmail, ">");
			$check = check_strpos_result($pos2);
			if ($check)
				$to_addr = substr($ToEmail, $pos1+1, $pos2-$pos1-1);
			else
				$to_addr = substr($ToEmail, $pos1+1);
		}
		
		if(fputs($this->Socket, "RCPT TO: <$to_addr>\r\n") < 0)
		{
			return false;
		}
		$this->Line = fgets($this->Socket, 1024);

		$this->Status["LASTRESULT"] = substr($this->Line, 0, 1);
		$this->Status["LASTRESULTTXT"] = substr($this->Line, 0, 1024);

		if ($this->Status["LASTRESULT"] != "2") return false;
		
		return true;
	}


//==============================================================
// Function Name	: 
//--------------------------------------------------------------
// Note				: 
//					: 
//==============================================================
	function Body()
	{
		$FileSize = 0;
		$Attachment = "";
		$fp = "";
		$this->SendData ="";

		if ($this->Socket == false) return false;

		$buffer = sprintf("DATA\r\n");
		if(fputs($this->Socket, $buffer) < 0)
		{
			return false;
		}
		// $this->SendData = $buffer;
		$this->Line = fgets($this->Socket, 1024);

		$this->Status["LASTRESULT"] = substr($this->Line, 0, 1);
		$this->Status["LASTRESULTTXT"] = substr($this->Line, 0, 1024);
		if ($this->Status["LASTRESULT"] != "3")
		{
			return false;
		}

		////////////////////////////////////////////////
		// Create Header Field
		$buffer = sprintf("From: %s <%s>\r\nTo: %s\r\nSubject: %s\r\nDate: %s\r\nMessage-ID: <%s>\r\nX-Mailer: %s\r\n", 
						$this->FromName, $this->FromEmail, 
						implode(", ", $this->ToEmail), $this->Subject, $this->createDateField(),
						$this->MsgId, $this->XMailer);
						
		// Append CC Field
		if (!empty($this->Cc)) 
		{
			$tmpbuffer = sprintf("Cc: %s\r\n", implode(", ", $this->Cc));
			$buffer .= $tmpbuffer;
		}
		
		// Append BCC Field
		if (!empty($this->Bcc)) 
		{
			$tmpbuffer = sprintf("Bcc: %s\r\n", implode(", ", $this->Bcc));
			$buffer .= $tmpbuffer;
		}

		// Create Optional Header
		if (!empty($this->InReplyTo))
		{
			$tmpbuffer = sprintf("In-Reply-To: %s\r\n", $this->InReplyTo);
			$buffer .= $tmpbuffer;
		}
		if (!empty($this->References))
		{
			$tmpbuffer = sprintf("References: %s\r\n", $this->References);
			$buffer .= $tmpbuffer;
		}

		if(fputs($this->Socket, $buffer) < 0)
		{
			return false;
		}
		$this->SendData = $buffer;

		////////////////////////////////////////////////
		// Create Body Data
		if ($this->Attachment == "")
		{
			$buffer = sprintf("MIME-Version: 1.0\r\nContent-Type: %s\r\nContent-Transfer-Encoding: %s\r\n\r\n",
								$this->ContentType, $this->TransferEncoding);
			if (fputs($this->Socket, $buffer) < 0)
			{
				return false;
			}
			$this->SendData .= $buffer;

			$buffer = sprintf("%s\r\n\r\n", $this->Body);
			if (fputs($this->Socket, $buffer) < 0)
			{
				return false;
			}
			$this->SendData .= $buffer;

			if (fputs($this->Socket, ".\r\n") < 0)
			{
				return false;
			}

			$this->Line = fgets($this->Socket, 1024);
			if (substr($this->Line, 0, 1) != "2")
			{
				return false; 
			}
		}
		else
		{
			$strBoundary = $this->createRandomBoundary();
			$ctattached = sprintf("multipart/mixed; boundary=\"%s\"", $strBoundary);
			$buffer = sprintf("MIME-Version: 1.0\r\nContent-Type: %s\r\nContent-Transfer-Encoding: %s\r\n\r\n",
							$ctattached, $this->TransferEncoding);
			$buffer1 = sprintf("--%s\r\nContent-Type: %s\r\nContent-Transfer-Encoding: %s\r\n\r\n",
							$strBoundary, $this->ContentType, $this->TransferEncoding);
			$buffer .= $buffer1;
			if (fputs($this->Socket, $buffer) < 0)
			{
				return false;
			}
			$this->SendData .= $buffer;

			/* output the body file */
			$buffer = sprintf("%s\r\n\r\n", $this->Body);
			if (fputs($this->Socket, $buffer) < 0)
			{
				return false;
			}
			$this->SendData .= $buffer;
				
				
			for ($i=0; $i<count($this->Attachment); $i++) {

				/* output boundary string */
				$buffer = sprintf("\r\n--%s\r\n", $strBoundary);
				if (fputs($this->Socket, $buffer) < 0)
				{
					return false;
				}
				$this->SendData .= $buffer;

				// Get Attached File
				$FileSize = filesize($this->Attachment[$i]);
				if ($FileSize == false)
				{
					return false;
				}
				if (($fp = fopen($this->Attachment[$i], "r")) == false) 
				{
					return false;
				}
				else
				{
					if ($this->EncodeType == "uuencode") {
						$UU = new UUCoder;
						$Attachmentdata = $UU->encode(fread($fp, $FileSize));
					} else {
						$Attachmentdata = chunk_split(base64_encode(fread($fp, $FileSize)));
					}
				}

				/*******************************************************
				// we don't want any of the directory in the attachment
				if (($AttachName = strrchr($this->Attachment[$i], '/')) == false)
				{
					// no directory so just copy the name in
					$AttachName = $this->Attachment[$i];
				} else {
					$AttachName = substr($AttachName, 1);
				}
				*******************************************************/
				
				$contenttype = $this->getContentType($this->AttachmentName[$i]);
				$buffer = sprintf("Content-Type: %s; \r\n name=\"%s\"\r\n", $contenttype, $this->AttachmentName[$i]);
				$buffer1 = sprintf("Content-Disposition: attachment; \r\n filename=\"%s\"\r\n", $this->AttachmentName[$i]);
				if ($this->EncodeType == "uuencode") {
					$buffer .= $buffer1 . "Content-Transfer-Encoding: x-uuencode\r\n\r\n";
				} else {	
					$buffer .= $buffer1 . "Content-Transfer-Encoding: Base64\r\n\r\n";
				}
				if (fputs($this->Socket, $buffer) < 0)
				{
					return false;
				}
				$this->SendData .= $buffer;

				/* output the attachment file */
				$buffer = $Attachmentdata;
/*
				$buffer = "begin 666 aaa.zip\r\n" . $buffer;
				$buffer .= "`\r\nend";
*/				
				if (fputs($this->Socket, $buffer) < 0)
				{
					return false;
				}
				$this->SendData .= $buffer;
			}
			
			/* output boundary string */
			$buffer = sprintf("\r\n\r\n--%s--\r\n", $strBoundary);
			if (fputs($this->Socket, $buffer) < 0)
			{
				return false;
			}
			$this->SendData .= $buffer;

			$buffer = ".\r\n";
			if (fputs($this->Socket, $buffer) < 0)
			{
				return false;
			}
			$this->SendData .= $buffer;

			$this->Line = fgets($this->Socket, 1024);
			if (substr($this->Line, 0, 1) != "2")
			{
				return false;
			}
			
		}
		return true;
	}


//==============================================================
// Function Name	: 
//--------------------------------------------------------------
// Note				: 
//					: 
//==============================================================
	function Quit()
	{
		if ($this->Socket == false) return false;

		if(fputs($this->Socket, "QUIT\r\n") < 0)
		{
			return false;
		}
		$this->Line = fgets($this->Socket, 1024);

		$this->Status["LASTRESULT"] = substr($this->Line, 0, 1);
		$this->Status["LASTRESULTTXT"] = substr($this->Line, 0, 1024);

		if ($this->Status["LASTRESULT"] != "2") 
		{
			return relse;
		}

		return true;
	} 


//==============================================================
// Function Name	: 
//--------------------------------------------------------------
// Note				: 
//					: 
//==============================================================
	function Close()
	{
		if ($this->Socket == false) return false;

		fclose($this->Socket);
	}


//==============================================================
// Function Name	: 
//--------------------------------------------------------------
// Note				: 
//					: 
//==============================================================
	function createRandomBoundary($offset = 0)
	{
		//--seed random number generator
		srand(time()+$offset);
		//--return md5 32 bits plus 4 dashes to make 38 chars
		$result = strtoupper("------" . md5(uniqid(rand())));
		return $result;
	}


//==============================================================
// Function Name	: 
//--------------------------------------------------------------
// Note				: 
//					: 
//==============================================================
	function createMessageId($offset = 0)
	{
		//--seed random number generator
		srand(time()+$offset);
		//--return md5 32 bits plus 4 dashes to make 38 chars
		$result = md5(rand()) . "." . $this->FromEmail;
		return $result;
	}


//==============================================================
// Function Name	: 
//--------------------------------------------------------------
// Note				: 
//					: 
//==============================================================
	function createDateField()
	{
		/**
		$z1 = intval(date("Z", time()) / 3600);
		$z2 = intval(date("Z", time()) % 3600);
		if ($z1 >= 0)
			$tz = sprintf(" +%02d%02d", $z1, $z2);
		else
			$tz = sprintf(" %02d%02d", $z1, $z2);
		**/
		$tz = " +0900 (JST)";
		$result = date("D, j M Y H:i:s", time());
		$result .= $tz;
		return $result;
	}


//==============================================================
// Function Name	: 
//--------------------------------------------------------------
// Note				: 
//					: 
//==============================================================
	function addAtachmentFile($filename)
	{
	}


//==============================================================
// Function Name	: 
//--------------------------------------------------------------
// Note				: 
//					: 
//==============================================================
	function getContentType($inFileName)
	{
		//--strip path
		$inFileName = basename($inFileName);
		//--check for no extension
		if(strrchr($inFileName,".") == false)
		{
			return "application/octet-stream";
		}
		//--get extension and check cases
		$extension = strrchr($inFileName, ".");
		$lower_extension = strtolower($extension);
		switch ($lower_extension)
		{
			case ".gz":		return "application/x-gzip";
			case ".htm":	return "text/html";
			case ".html":	return "text//html";
			case ".gif":	return "image/gif";
			case ".jpg":	return "image/jpeg";
			case ".jpeg":	return "image/jpeg";
			case ".jpe":	return "image/jpeg";
			case ".tar":	return "application/x-tar";
			case ".txt":	return "text/plain";
			case ".zip":	return "application/zip";
			case ".lzh":	return "application/lzh";
			case ".dwg":	return "application/acad";
			case ".ccad":	return "application/clariscad";
			case ".drw":	return "application/drafting";
			case ".dxf":	return "application/dxf";
			case ".unv":	return "application/i-deas";
			case ".igs":	return "application/iges";
			case ".iges":	return "application/iges";
			case ".oda":	return "application/oda";
			case ".pdf":	return "application/pdf";
			case ".ai":		return "application/postscript";
			case ".ps":		return "application/postscript";
			case ".eps":	return "application/postscript";
			case ".prt":	return "application/pro_eng";
			case ".rtf":	return "application/rtf";
			case ".set":	return "application/set";
			case ".stl":	return "application/sla";
			case ".sol":	return "application/solids";
			case ".stp":	return "application/STEP";
			case ".step":	return "application/STEP";
			case ".vda":	return "application/vda";
			case ".mif":	return "application/x-mif";
			case ".csh":	return "application/x-csh";
			case ".dvi":	return "application/x-dvi";
			case ".hdf":	return "application/x-hdf";
			case ".latex":	return "application/x-latex";
			case ".nc":		return "application/x-netcdf";
			case ".cdf":	return "application/x-netcdf";
			case ".sh":		return "application/x-sh";
			case ".tcl":	return "application/x-tcl";
			case ".tex":	return "application/x-tex";
			case ".texinfo":return "application/x-texinfo";
			case ".texi":	return "application/x-texinfo";
			case ".t":		return "application/x-troff";
			case ".tr":		return "application/x-troff";
			case ".roff":	return "application/x-troff";
			case ".man":	return "application/x-troff-man";
			case ".me":		return "application/x-troff-me";
			case ".ms":		return "application/x-troff-ms";
			case ".src":	return "application/x-wais-source";
			case ".bcpio":	return "application/x-bcpio";
			case ".cpio":	return "application/x-cpio";
			case ".gtar":	return "application/x-gtar";
			case ".shar":	return "application/x-shar";
			case ".sv4cpio":return "application/x-sv4cpio";
			case ".sv4crc":	return "application/x-sv4crc";
			case ".ustar":	return "application/x-ustar";
			case ".au":		return "audio/basic";
			case ".snd":	return "audio/basic";
			case ".aif":	return "audio/aiff";
			case ".aiff":	return "audio/aiff";
			case ".aifc":	return "audio/aiff";
			case ".wav":	return "audio/wav";
			case ".ief":	return "image/ief";
			case ".tiff":	return "image/tiff";
			case ".tif":	return "image/tiff";
			case ".ras":	return "image/x-cmu-raster";
			case ".pnm":	return "image/x-portable-anymap";
			case ".pbm":	return "image/x-portable-bitmap";
			case ".pgm":	return "image/x-portable-graymap";
			case ".ppm":	return "image/x-portable-pixmap";
			case ".rgb":	return "image/x-rgb";
			case ".xbm":	return "image/x-xbitmap";
			case ".xpm":	return "image/x-xpixmap";
			case ".xwd":	return "image/x-xwindowdump";
			case ".rtx":	return "text/richtext";
			case ".tsv":	return "text/tab-separated-values";
			case ".etx":	return "text/x-setext";
			case ".mpeg":	return "video/mpeg";
			case ".mpg":	return "video/mpeg";
			case ".mpeg":	return "video/mpeg";
			case ".mpe":	return "video/mpeg";
			case ".qt":		return "video/quicktime";
			case ".mov":	return "video/quicktime";
			case ".avi":	return "video/x-msvideo";
			case ".movie":	return "video/x-sgi-msmovie";
			
			default:		return "application/octet-stream";
		}
	}

}


?>
