CREATE TABLE addr_company (
	addr_com_id		varchar(63) NOT NULL,
	cname			character varying(255),
	kana			character varying(255),
	csname			character varying(255),
	post			character varying(10),
	address			character varying(255),
	tel				character varying(20),
	fax				character varying(20),
	url				character varying(255),
	biko			text,
	tsw				varchar(32),
	PRIMARY KEY (addr_com_id)
);

CREATE TABLE addr_user (
	kno			character varying(63) NOT NULL,
	kname		character varying(255),
	kkana		character varying(255),
	kpost		character varying(10),
	kaddress	character varying(100),
	ktel		character varying(20),
	kkeitai		character varying(20),
	kfax		character varying(20),
	kmaile		character varying(255),
	kurl		character varying(255),
	kcno		character varying(63),
	kmemo		text,
	kbirthyy	int,
	kbirthmm	int,
	kbirthdd	int,
	kyaku		character varying(255),
	ktsw		varchar(32),
	PRIMARY KEY (kno)
);

CREATE TABLE bkmk_category (
	categoryid		varchar(63)		NOT NULL,
	categoryname	varchar(100)	NOT NULL,
	PRIMARY KEY (categoryid)
);

CREATE TABLE bkmk_subcategory (
	subcategoryid	varchar(63)		NOT NULL,
	categoryid		varchar(63) 	NOT NULL,
	subcategoryname varchar(100)	NOT NULL,
	PRIMARY KEY (subcategoryid)
);

CREATE TABLE bkmk_link (
	linkid			varchar(63)		NOT NULL,
	subcategoryid	varchar(63)		NOT NULL,
	link_title 		varchar(100)	NOT NULL,
	url				varchar(100)	NOT NULL,
	biko			text,
	PRIMARY KEY (linkid)
);

CREATE TABLE common_passwd (
	user_id character varying(32) NOT NULL,
	username character varying(32) DEFAULT '' NOT NULL,
	password character varying(32) DEFAULT '' NOT NULL,
	perms character varying(255),
	login character varying(255),
	PRIMARY KEY (user_id)
);

CREATE TABLE common_section (
	section_id		varchar(63)		NOT NULL,
	section_name	varchar(50)		DEFAULT '',
	note1			text,
	PRIMARY KEY (section_id)
);

CREATE TABLE common_member (
	member_id character varying(32) NOT NULL,
	section_id		varchar(63) NOT NULL,
	member_name		character varying(50) NOT NULL,
	login_name		character varying(32) NOT NULL,
	furigana		character varying(50),
	sex				character,
	naisen			character varying(5),
	post			character(8),
	address1		character varying(100),
	address2		character varying(100),
	tel				character varying(20),
	keitai			character varying(20),
	email			character varying(30),
	tanjoubi		date,
	nyuushabi		date,
	note1			text,
	bbs_id			varchar(63),
	remainder_addr	character varying(50),
	picture			character varying(255),
	PRIMARY KEY (member_id, section_id)
);

CREATE TABLE common_tblcheck (
	table_name character varying(255)	NOT NULL,
	PRIMARY KEY (table_name)
);

CREATE TABLE rsvn_mst (
	rsvn_id		varchar(63)		not null,
	sname		varchar(255),
	saddr		varchar(255),
	smemo		text,
	rsvn_gp_id	varchar(32),
	PRIMARY KEY (rsvn_id)
);

CREATE TABLE rsvn_group (
	rsvn_gp_id		varchar(32)		not null,
	rsvn_gp_name	varchar(255),
	rsvn_gp_memo	varchar(255),
	PRIMARY KEY (rsvn_gp_id)
);


CREATE TABLE mail_user_folder (
	folder_id character varying(32) NOT NULL,
	member_id character varying(32) NOT NULL,
	folder_name character varying(100) NOT NULL,
	folder_path character varying(100) NOT NULL,
	PRIMARY KEY (folder_id)
);

CREATE TABLE mail_option (
	member_id character varying(32) NOT NULL,
	signature text,
	smtp_server character varying(30),
	pop3_server character varying(30),
	pop3_user_name character varying(30),
	pop3_user_password character varying(30),
	attache_encode character varying(10),
	rem_mail int,
	PRIMARY KEY (member_id)
);

CREATE TABLE mail_index (
	mail_id		varchar(32)				NOT NULL,
	member_id	character varying(32)	NOT NULL,
	file_path	character varying(200)	NOT NULL,
	subject		character varying(200)	NOT NULL,
	fromname	character varying(100)	NOT NULL,
	datetime	character varying(50)	NOT NULL,
	mailsize	integer					NOT NULL,
	attachcount integer 				NOT NULL,
	noencode	integer,
	mail_read	integer,
	PRIMARY KEY (mail_id)
);

CREATE TABLE mail_group (
	group_id varchar(32) not null,
	group_name varchar(100) not null,
	member_id varchar(32) not null
);

CREATE TABLE mail_group_member (
	group_member_id varchar(32) not null,
	group_id varchar(32) not null,
	member_id varchar(32) not null
);


CREATE TABLE common_start (
	login_name character varying(32)		NOT NULL,
	main character varying(255),
	PRIMARY KEY (login_name)
);

CREATE TABLE common_group (
	group_id	varchar(63)		NOT NULL,
	group_name	varchar(100)	NOT NULL,
	member_id	varchar(32)		NOT NULL,
	common_flg	varchar(63),
	PRIMARY KEY (group_id)
);

CREATE TABLE common_group_member (
	group_member_id varchar(63) not null,
	group_id		varchar(63) not null,
	member_id		varchar(32) not null,
	PRIMARY KEY (group_member_id)
);

CREATE TABLE common_company (
	co_name character varying(255),
	co_post character varying(10),
	co_address character varying(255),
	co_email character varying(255),
	co_url character varying(255),
	co_tel character varying(20),
	co_fax character varying(20),
	smtp_name varchar(255),
	pop3_name varchar(255),
	mail_encode integer
);

CREATE TABLE common_addin (
	addin_id character varying(63) not null,
	pg_id character varying(255),
	pg_option character varying(255),
	pr_name character varying(255),
	pr_comment text
);

CREATE TABLE common_ikisaki (
	member_id character varying(32)		NOT NULL,
	ikisaki character varying(255),
	biko character varying(255),
	modori character varying(255),
	PRIMARY KEY (member_id)
);

CREATE TABLE usrstng_pglist (
	menu_id int NOT NULL,
	perm_flag character varying(5)NOT NULL,
	filename character varying(32) NOT NULL,
	pg_title character varying(100) NOT NULL,
	biko character varying(100) NOT NULL,
	PRIMARY KEY (menu_id)
);

CREATE TABLE bbs_control (
	bbs_id			varchar(63)	not null,
	bbs_title		varchar(100),
	bbs_type		integer,
	main_table_name varchar(72),
	sub_table_name	varchar(72),
	bbs_bikou		varchar(50),
	bbs_cre_nm		varchar(50),
	bbs_cre_dt		date,
	bbs_kijisuu		integer,
	bbs_saisyuu		date,
	bbs_pass		varchar(32),
	bbs_section		varchar(32),
	group_flg int(11) default NULL,
	PRIMARY KEY (bbs_id)
);

CREATE TABLE bkmk_digest (
	bkmk_digest_id	varchar(32),
	login_id		varchar(30),
	linkid			varchar(32),
	subcategoryid	varchar(32)
);

CREATE TABLE common_callender (
	seq_year		integer			not null,
	hi				varchar(10) 	not null,
	holiday_name	varchar(255)	not null,
	PRIMARY KEY (hi)
);

CREATE TABLE common_remainder (
	member_id character varying(32) NOT NULL,
	remainder_id character varying(63) NOT NULL,
	type character varying(1) NOT NULL,
	rmdr_date date NOT NULL,
	rmdr_time character varying(8) NOT NULL,
	before_time int NOT NULL,
	rmdr_data text NOT NULL,
	rmdr_addr character varying(50) NOT NULL,
	PRIMARY KEY (member_id, remainder_id, type, rmdr_date)
);

CREATE TABLE sche_option (
	member_id			varchar(32) NOT NULL,
	initview_type		integer,
	dayview_fromtime	integer,
	dayview_totime		integer,
	init_publicdata		integer,
	PRIMARY KEY (member_id)
);

CREATE TABLE memo_keyword (
	memo_user_id	varchar(32) NOT NULL,
	memo_keyno		varchar(63) NOT NULL,
	memo_keydata	varchar(20)
);

CREATE TABLE usrstng_color (
	member_id character varying(32),
	color_patarn character varying(20)
);

CREATE TABLE usrstng_menu_list (
	user_name character varying(32),
	menu_no int,
	master_menu_no int
);

CREATE TABLE usrstng_reload_time (
	member_id character varying(32) NOT NULL,
	reload_time int NOT NULL,
	mail_chk char(1) default NULL,
	PRIMARY KEY (member_id)
);

CREATE TABLE common_menu_list (
	master_menu_no int not null,
	master_pg character varying(40),
	master_name character varying(40),
	PRIMARY KEY (master_menu_no)
);

CREATE TABLE workflow_data (
	data_id character varying(63) NOT NULL,
	type_id character varying(63) NOT NULL,
	current_route_id character varying(63) NOT NULL,
	status_no int NOT NULL,
	from_member_id character varying(63) NOT NULL,
	request_date date NOT NULL,
	complete_date date NOT NULL,
	complete_read_flg int NOT NULL,
	data_title character varying(100) NOT NULL,
	body_file_path character varying(100) NOT NULL,
	attach_file_path character varying(100),
	biko character varying(255),
	PRIMARY KEY (data_id)
);

CREATE TABLE workflow_route (
	route_id		varchar(63)	NOT NULL,
	data_id			varchar(63) NOT NULL,
	route_no		integer		NOT NULL,
	member_id		varchar(63) NOT NULL,
	receive_flg		integer		NOT NULL,
	receive_date	date,
	biko			varchar(255),
	PRIMARY KEY (route_id)
);

CREATE TABLE workflow_save_route (
	save_route_id character varying(63) NOT NULL,
	save_route_name character varying(100) NOT NULL,
	save_route text NOT NULL,
	PRIMARY KEY (save_route_id)
);

CREATE TABLE workflow_template (
	template_id character varying(63) NOT NULL,
	template_name character varying(100) NOT NULL,
	template_path character varying(100) NOT NULL,
	PRIMARY KEY (template_id)
);

CREATE TABLE workflow_type (
	type_id character varying(63) NOT NULL,
	type_name character varying(100) NOT NULL,
	PRIMARY KEY (type_id)
);

CREATE TABLE common_license (
	license character varying(32)
);

CREATE TABLE file_data (
	data_id				varchar(32)		NOT NULL,
	parent_data_id		varchar(32)		NOT NULL,
	data_type 			integer			NOT NULL,
	tree_level			integer			NOT NULL,
	data_title			varchar(255)	NOT NULL,
	data_name			varchar(255),
	data_path			varchar(255),
	data_biko			varchar(255)	NOT NULL,
	update_biko			varchar(255),
	create_member_id	varchar(32)		NOT NULL,
	update_member_id	varchar(32),
	create_date			varchar(20)		NOT NULL,
	update_date			varchar(20),
	mime_type			varchar(255),
	section_id			varchar(32),
	password			varchar(32),
	primary key (data_id)
);

CREATE TABLE file_backup (
	backup_id	varchar(32)		NOT NULL,
	data_id		varchar(32)		NOT NULL,
	data_name	varchar(255)	NOT NULL,
	file_path	varchar(255)	NOT NULL,
	biko		varchar(255)	NOT NULL,
	member_id	varchar(32)		NOT NULL,
	datetime	varchar(20)		NOT NULL,
	mime_type	varchar(255),
	PRIMARY KEY (backup_id)
);

CREATE TABLE bbs_setup ( 
	setup_id		varchar(32) not null,
	member_id		varchar(32),
	bbs_id			varchar(63),
	PRIMARY KEY (setup_id)
);

CREATE TABLE circle_data (
  data_id		varchar(63) 	NOT NULL default '',
  type_id		varchar(63) 	NOT NULL default '',
  status_no		int(11) 	NOT NULL default '0',
  from_member_id	varchar(63)	NOT NULL default '',
  request_date		date		NOT NULL default '0000-00-00',
  complete_date		date		NOT NULL default '0000-00-00',
  complete_read_flg	int(11) 	NOT NULL default '0',
  data_title		varchar(100) 	NOT NULL default '',
  body_file_path	varchar(100) 	NOT NULL default '',
  attach_file_path	varchar(100) 	default NULL,
  button1		varchar(22)	default NULL,
  button2		varchar(22)	default NULL,
  style			int(11)         NOT NULL default '0',

  PRIMARY KEY  (data_id)
) TYPE=MyISAM;

CREATE TABLE circle_route (
  route_id	varchar(63)	NOT NULL default '',
  data_id	varchar(63)	NOT NULL default '',
  member_id	varchar(63)	NOT NULL default '',
  receive_flg	int(11)		NOT NULL default '0', 
  receive_date	date		default NULL,
  biko 		varchar(255)	default NULL,
  PRIMARY KEY  (route_id)
) TYPE=MyISAM;

CREATE TABLE circle_save_route (
  save_route_id		varchar(63)	NOT NULL default '',
  save_route_name	varchar(100)	NOT NULL default '',
  save_route 		text		NOT NULL,
  k_check 		int(11)		default NULL,
  PRIMARY KEY  (save_route_id)
) TYPE=MyISAM;

CREATE TABLE circle_template (
  template_id		varchar(63)	NOT NULL default '',
  template_name		varchar(100)	NOT NULL default '',
  template_path		varchar(100)	NOT NULL default '',
  PRIMARY KEY  (template_id)
) TYPE=MyISAM;

CREATE TABLE circle_type (
  type_id		varchar(63)	NOT NULL default '',
  type_name		varchar(100)	NOT NULL default '',
  PRIMARY KEY  (type_id)
) TYPE=MyISAM;

CREATE TABLE common_mailgroup (
	group_id	 varchar(63)		NOT NULL,
	group_name	 varchar(100)	NOT NULL,
	member_id	 varchar(32)		NOT NULL,
	common_flg	 varchar(63),
	PRIMARY KEY (group_id)
);

CREATE TABLE common_mailgroup_member (
	group_member_id  varchar(63) not null,
	group_id		 varchar(63) not null,
	member_id		 varchar(32) not null,
	PRIMARY KEY (group_member_id)
);

CREATE TABLE dest_work ( 
	dest_work_id	varchar(32) not null,
	member_id		varchar(32) not null,
	schedule_id		varchar(63) not null,
	from_time		int,
	to_time			int,
	ikisaki			varchar(255),
	PRIMARY KEY (dest_work_id)
);

CREATE TABLE rsvn_dat (
	lognm 		varchar(32) 	not null,
	fdate 		date			not null,
	ftime 		varchar(8)		not null,
	ttime 		varchar(8),
	fhanni		varchar(17),
	thanni		varchar(17),
	yno			varchar(63)		not null,
	rsvn_dat_id	varchar(63),
	biko		varchar(255),
	yname		varchar(255),
	PRIMARY KEY (fdate, ftime, yno)
);

CREATE TABLE sche_groupdata ( 
	hi				date,
	fzi				varchar(8),
	tzi				varchar(8),
	schedule_id		varchar(63) not null,
	biko			varchar(255),
	public_data		int,
	data_type_id	varchar(63),
	data_color		int,
	group_id		varchar(63),
	group_type		int,
	PRIMARY KEY (schedule_id)
);

CREATE TABLE sche_scheduletype (
	type_id			varchar(63) not null,
	member_id		varchar(32),
	type_name		varchar(255),
	color			int,
	biko			varchar(255),
	PRIMARY KEY (type_id)
);


insert into common_section values('000000000000000000000000000000000000000000000000000000000000000','°̵',NULL);

insert into common_member values('00000000000000000000000000000000','000000000000000000000000000000000000000000000000000000000000000','JET/JOB','admin','äȤ֤ꤷ','m',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL);

insert into common_passwd values('00000000000000000000000000000000','admin','21232f297a57a5a743894a0e4a801fc3','admin',NULL);

insert into rsvn_group values('00000000000000000000000000000000','ʤ',NULL);

insert into usrstng_pglist values(1,'U','usrstng_member_print.php','С','ҰȤǤޤ');
insert into usrstng_pglist values(2,'U','usrstng_mygroup_manage.php','ޥ롼״','⥰롼פϿԤޤ');
insert into usrstng_pglist values(3,'U','usrstng_timecard.php','५','ĿͤΥ५ɤ򻲾ȡǤޤ');
insert into usrstng_pglist values(4,'U','usrstng_password_modify.php','ѥݼ','ʣţԡʣϣ¤ǻѤ뼫ʬΥѥɤѹǤޤ');
insert into usrstng_pglist values(5,'U','usrstng_user_modify.php','Ŀ;','Ŀͤδܾ󤬽Ǥޤ');
insert into usrstng_pglist values(6,'U','usrstng_mymenu_manage.php','桼˥塼','ĿͤΥ˥塼ꤷޤ');
INSERT INTO usrstng_pglist VALUES (7,'A','usrstng_company_info.php','Ҿ','̾ ܾϿޤ');
INSERT INTO usrstng_pglist VALUES (8,'A','usrstng_member_manage.php','С','ҰϿѹǤޤ');
INSERT INTO usrstng_pglist VALUES (9,'A','usrstng_inport_member.php','Сǡ','ã֣ӷ¸줿СǡμߤԤޤ');
INSERT INTO usrstng_pglist VALUES (10,'A','usrstng_holiday_manage.php','','ʳν ݼԤޤ');
INSERT INTO usrstng_pglist VALUES (11,'A','usrstng_section_manage.php','','ҤλŹĶȽ ʤɤݼ顣');
INSERT INTO usrstng_pglist VALUES (12,'A','usrstng_rsvngroup_manage.php','/롼','һ/Υ롼פꤷޤ');
INSERT INTO usrstng_pglist VALUES (13,'A','usrstng_resource_manage.php','ݼ','ʤ ݼ顣');
INSERT INTO usrstng_pglist VALUES (14,'A','usrstng_commongroup_manage.php','ͭ롼״','ͭ롼פϿԤޤ');
INSERT INTO usrstng_pglist VALUES (15,'A','usrstng_route_manage.php','Сϩ','եǻȤСϩݼԤޤ');
INSERT INTO usrstng_pglist VALUES (16,'A','usrstng_template_manage.php','ƥץ졼','եǻȤƥץ졼ȤݼԤޤ');
INSERT INTO usrstng_pglist VALUES (17,'A','usrstng_allusermenu_manage.php','桼˥塼','桼̤Υ˥塼ꤷޤ');
INSERT INTO usrstng_pglist VALUES (18,'A','usrstng_wftypemanage.php','','եǻȤݼԤޤ');
INSERT INTO usrstng_pglist VALUES (19,'A','usrstng_wf_manage.php','եʸ','եʸݼԤޤ');
INSERT INTO usrstng_pglist VALUES (20,'A','usrstng_timecard_print.php','५ɳ','̳ɽեʣãӣַˤ˽Ϥޤ');
INSERT INTO usrstng_pglist VALUES (21,'A','usrstng_backup.php','ǡХåå','ǡƥȷ˥Хååפޤ');
INSERT INTO usrstng_pglist VALUES (22,'A','usrstng_restore.php','ǡꥹȥ','ХååץǡΥꥹȥԤޤ');
INSERT INTO usrstng_pglist VALUES (23,'A','usrstng_license.php','饤Ͽ','ѳϤΤΥ饤󥹤ꤷޤ');
INSERT INTO usrstng_pglist VALUES (24,'A','usrstng_scheduletype.php','ͽ','̤ͽμꤷޤ');
INSERT INTO usrstng_pglist VALUES (25,'A','usrstng_memokeyword.php','̥⥭','̤ΥΥɤꤷޤ');
INSERT INTO usrstng_pglist VALUES (26,'A','usrstng_mailgroup_manage.php','᡼Ѷ̥롼','᡼Ѷ̥롼פꤷޤ');
INSERT INTO usrstng_pglist VALUES (27,'A','usrstng_circle_manage.php','С','βСꤷޤ');
INSERT INTO usrstng_pglist VALUES (28,'A','usrstng_ctemplate_manage.php','ƥץ졼','ǻȤƥץ졼ȤݼԤޤ');
INSERT INTO usrstng_pglist VALUES (29,'A','usrstng_cctypemanage.php','','ǻȤݼԤޤ');
INSERT INTO usrstng_pglist VALUES (30,'A','usrstng_cr_manage.php','ʸϴ','ʸݼԤޤ');

INSERT INTO memo_keyword VALUES("0", "0", Null);

INSERT INTO usrstng_reload_time VALUES("00000000000000000000000000000000", 900, NULL);

insert into common_addin values('9096b6effa2b0752110c61a98c5a6f68','other_game_porker.php','','ݡ','ݡ');
insert into common_addin values('9096b6effa2b0752110c61a98c5a6f68','other_game_bjack.php','','֥åå','֥åå');

insert into common_menu_list values(2, 'mail_main.php', 'Żҥ᡼');
insert into common_menu_list values(3, 'bbs_main.php', 'Ǽ');
insert into common_menu_list values(4, 'sche_main.php', '塼');
insert into common_menu_list values(5, 'memo_main.php?sel=1', 'Żҥ');
insert into common_menu_list values(6, 'bkmk_main.php', '֥åޡ');
insert into common_menu_list values(7, 'dest_main.php', 'Ԥ');
insert into common_menu_list values(8, 'addr_main.php', 'ɥ쥹');
insert into common_menu_list values(9, 'rsvn_main.php', 'ͽ');
insert into common_menu_list values(11, 'addin_main.php', 'ɥ');
insert into common_menu_list values(12, 'workflow_main.php', 'ե');
insert into common_menu_list values(1001,'other_game_porker.php','ݡ');
insert into common_menu_list values(1002,'other_game_bjack.php','֥åå');

INSERT INTO bkmk_category VALUES ( '1','ۥӡݡ');
INSERT INTO bkmk_category VALUES ( '2','ȥ٥');
INSERT INTO bkmk_category VALUES ( '3','ѥ');
INSERT INTO bkmk_category VALUES ( '4','󥿡ƥ');
INSERT INTO bkmk_category VALUES ( '5','ǥ˥塼');
INSERT INTO bkmk_category VALUES ( '6','ӥͥ');
INSERT INTO bkmk_category VALUES ( '7','åԥ');

INSERT INTO bkmk_subcategory VALUES ( '1','1','');
INSERT INTO bkmk_subcategory VALUES ( '2','1','˥ᡦ̡');
INSERT INTO bkmk_subcategory VALUES ( '3','1','饪');
INSERT INTO bkmk_subcategory VALUES ( '4','1','֡Х');
INSERT INTO bkmk_subcategory VALUES ( '5','2','ιԾ');
INSERT INTO bkmk_subcategory VALUES ( '6','2','ι');
INSERT INTO bkmk_subcategory VALUES ( '7','2','ι');
INSERT INTO bkmk_subcategory VALUES ( '8','2','Ф');
INSERT INTO bkmk_subcategory VALUES ( '9','3','󥿡ͥå');
INSERT INTO bkmk_subcategory VALUES ( '10','3','ϡɥ');
INSERT INTO bkmk_subcategory VALUES ( '11','3','եȥ');
INSERT INTO bkmk_subcategory VALUES ( '12','4','ǲ');
INSERT INTO bkmk_subcategory VALUES ( '13','4','');
INSERT INTO bkmk_subcategory VALUES ( '14','4','ǽ');
INSERT INTO bkmk_subcategory VALUES ( '15','4','ꤤ');
INSERT INTO bkmk_subcategory VALUES ( '16','4','֥');
INSERT INTO bkmk_subcategory VALUES ( '17','5','ƥ');
INSERT INTO bkmk_subcategory VALUES ( '18','5','˥塼');
INSERT INTO bkmk_subcategory VALUES ( '19','1','ݡ');
INSERT INTO bkmk_subcategory VALUES ( '20','6','');
INSERT INTO bkmk_subcategory VALUES ( '21','6','к');
INSERT INTO bkmk_subcategory VALUES ( '22','7','');

INSERT INTO bkmk_link VALUES ( '12','5','ι','http://www.nta.co.jp','⡢ιԤΥĥ䡢ѸܤιԤΥȡѥåĥϥ󥿡ͥåȤͽǤ롣δֺݤ˥ۥƥͽ󤹤ȡ¤ʤ륵ӥҲ𤹤륳ʡ⤢롣');
INSERT INTO bkmk_link VALUES ( '9','4','NISSAN Web','http://www.nissan.co.jp','ư֤θȡ');
INSERT INTO bkmk_link VALUES ( '29','9','Yahoo!ƥ','http://www.geocities.co.jp','MB̵ۡڡѥڡ̵Żҥ᡼뤬ѤǤ륵ȡޤޤʥġѤ뤳Ȥǽ鿴ԤǤۡڡǤΤǰ¿ʤ⡢ظƾȯ褦');
INSERT INTO bkmk_link VALUES ( '30','9','Yahoo! JAPAN','http://www.yahoo.co.jp/','Ͽθ󥸥ǸΨι⤵ȤΤ褵ǥȥĤο͵ؤΤYahoo!Хפʤɷä饢Ǥ륵ӥܤ');
INSERT INTO bkmk_link VALUES ( '31','9','goo','http://www.goo.ne.jp/','WWWˤ뤹٤ƤΥȤ椫顢桼Ϥ˹礦ۡڡõƤƤܥåȷΥ󥸥󡣸륵Ȥäۤʤᡢɤ򤤤ĤϤΤ٥ˡ');
INSERT INTO bkmk_link VALUES ( '32','9','Infoseek','http://www.infoseek.co.jp','ܥåȷ󥸥Ͽ󥸥ξǸ뤳ȤǤ롣Ͽ󥸥Ǥϡ狼䤹ʬषƤΤŪΥۡڡõ䤹');
INSERT INTO bkmk_link VALUES ( '33','9','󥿡ͥåȤ֤ܲޤޤ','http://www.mag2.com','ĤͤΤꤿ򤤤᤯ϤƤ᡼ۿȡƤ館Ф狼뤬뤬¿ˤ錄뤳Ȥɼؤι롣̣˻ŻˤȡμʤΩĤϤ');
INSERT INTO bkmk_link VALUES ( '37','11','MacTree','http://www.sannet.ne.jp/mactree/','ޥåȥåϢκǿ˥塼TipsҲʤɤǺܤƤۡڡ');
INSERT INTO bkmk_link VALUES ( '38','11','','http://www.forest.impress.co.jp/','WindowsΥե꡼ɤǤ֥ȡ');
INSERT INTO bkmk_link VALUES ( '39','11','Vector','http://www.vector.co.jp/','ե꡼ɽŪʥɥȡ');
INSERT INTO bkmk_link VALUES ( '40','12','cinemabox.com','http://www.cinemabox.com','ƥȥϤαǲ۾󡢾ǥ塼ʤɡ');
INSERT INTO bkmk_link VALUES ( '41','12','WarnerBros.Pictures','http://www.warnerbros.co.jp/movie','ʡ󶡤αǲڡ');
INSERT INTO bkmk_link VALUES ( '42','12','TSUTAYA Online','http://www.tsutaya.co.jp','󥿥ӥǥTSUTAYAΥȡ');
INSERT INTO bkmk_link VALUES ( '43','13','Sony Music Online Japan','http://www.sme.co.jp/','ھۿȡ');
INSERT INTO bkmk_link VALUES ( '44','14','ZAKZAK','http://www.zakzak.co.jp/','եƥȯηǽϢ˥塼');
INSERT INTO bkmk_link VALUES ( '45','15','ưʪꤤưʪ¼','http://www.animarhythm.com/','ưʪꤤθȡ');
INSERT INTO bkmk_link VALUES ( '46','16','JRAۡڡ','http://www.jra.go.jp/','϶ȡ');
INSERT INTO bkmk_link VALUES ( '47','16','ե WEB','http://www.kyotei.or.jp/','˴ؤܤΥȡ');
INSERT INTO bkmk_link VALUES ( '48','16','ONLINEѥɬ','http://www.byakuya-shobo.co.jp/pachinko/','ѥ󥳾֥ѥɬɡפΥۡڡ');
INSERT INTO bkmk_link VALUES ( '49','16','','http://www.dkb.co.jp/takarakuji/','촫ȶԤˤΥۡڡ');
INSERT INTO bkmk_link VALUES ( '50','17','եƥӥۡڡ','http://www.fujitv.co.jp/index.html','եƥӤθۡڡ');
INSERT INTO bkmk_link VALUES ( '51','17','TBS INTERNET','http://www.tbs.co.jp/','TBSθȡ');
INSERT INTO bkmk_link VALUES ( '52','17','TV-Asahi On The Web','http://www.TV-asahi.co.jp/','ƥīۡڡ');
INSERT INTO bkmk_link VALUES ( '53','17','NHK饤','http://www.nhk.or.jp/','NHKȤξ󥵥ȡ');
INSERT INTO bkmk_link VALUES ( '54','17','MIX NTV','http://www.ntv.co.jp/','ܥƥӸȡ');
INSERT INTO bkmk_link VALUES ( '55','18','asahi.com','http://www.asahi.com/','īʹҤΥ˥塼ȡ');
INSERT INTO bkmk_link VALUES ( '56','18','YOMIURI ON-LINE','http://www.yomiuri.co.jp/','俷ʹҤΥ');
INSERT INTO bkmk_link VALUES ( '57','19','ݥ˥ͥå','http://www.sponichi.co.jp/','ݥ˥Υȡ');
INSERT INTO bkmk_link VALUES ( '58','19','˥å󥹥ݡġ','http://www.nikkansports.com/','ݡĤΥȡ');
INSERT INTO bkmk_link VALUES ( '59','20','','http://www.sourifu.go.jp/','ܸȡ');
INSERT INTO bkmk_link VALUES ( '60','20','ģ','http://www.nla.go.jp/','ģȡ');
INSERT INTO bkmk_link VALUES ( '61','20','̳','http://www.mofa.go.jp/mofaj/','̳ʤΥۡڡ');
INSERT INTO bkmk_link VALUES ( '62','20','¢','http://www.mof.go.jp/','¢ʸȡ');
INSERT INTO bkmk_link VALUES ( '63','21','ܥ饤ڷ','http://www.kabu.com','ܥ饤ڷҤΥۡڡ');
INSERT INTO bkmk_link VALUES ( '64','22','Yahoo!','http://auctions.yahoo.co.jp/','Yahoo!Υڡ');
INSERT INTO bkmk_link VALUES ( '65','22','󸡺ɥåȥ','http://www.auctionkensaku.com/','󥵥Ȥ龦ʤθǤ롣');
INSERT INTO bkmk_link VALUES ( '1','1','Yahoo!GAMES','http://play.yahoo.co.jp/','Yahoo!Japan󶡤̵饤󥲡ॳʡ');
INSERT INTO bkmk_link VALUES ( '2','1','SEGA ENTERTAINMENT UNIVERSE','http://www.sega.co.jp','ɥफѥൡߥ塼ȥѡޤ饤ʥåפؤ륻θȡ');
INSERT INTO bkmk_link VALUES ( '3','1','NINTENDO HOMEPAGE','http://www.nintendo.co.jp/','֥˥ƥɥ64פΤ٤ƤΥॿȥˤĤơƤϤ󡢥ȡ꡼饤᡼ܡɡƥҲޤǾܤΥȡ');
INSERT INTO bkmk_link VALUES ( '4','2','ĥΥץ','http://www.tatsunoko.co.jp','ܥ󥷥꡼ĥΥץθȡ');
INSERT INTO bkmk_link VALUES ( '5','2','֥','http://www.ntv.co.jp/ghibli/','˿͵֤ȤʤΥȥȥפ֥Υۡڡ');
INSERT INTO bkmk_link VALUES ( '6','3','ۡڡ','http://www.sega.co.jp/sega/kara/','16000ʤ󶡤Ƥ륻Υۡڡ');
INSERT INTO bkmk_link VALUES ( '7','3','JOYSOUND.COM','http://www.xing.co.jp/joysound/home.html','23000ʤȤ˭٤ʶʿؤJOY SOUNDΥۡڡ');
INSERT INTO bkmk_link VALUES ( '8','4','TOYOTA INTERNET DRIVE','http://www.toyota.co.jp','֥饤󥢥åספ֤ݡȡס֥ꥳʡפޤǡŪʥʡФΥȥ西θȡ');
INSERT INTO bkmk_link VALUES ( '10','4','HONDA','http://www.honda.co.jp','ۥξõʤ顢ʤȤäƤȤᡣ');
INSERT INTO bkmk_link VALUES ( '11','5','JTBۡڡ','http://www.jtb.co.jp/','ι˴ؤ˭٤˷ǺܤƤJTBΥȡ');
INSERT INTO bkmk_link VALUES ( '13','6','','http://www.nikkanren.or.jp/','󣷣ιۡۥƥθ̰󤬷ǺܤƤ륵ȡ');
INSERT INTO bkmk_link VALUES ( '14','6','Ѹޥå','http://www2.wind.ne.jp/map/','δѸ򽸤᤿󥯽ϿޤѸϡԳϡ쥸㡼ߤʤɤξõȤǤ롣');
INSERT INTO bkmk_link VALUES ( '15','6','','http://www.linkclub.or.jp/~onsen/','ޥ˥ˤɬΥۡڡ');
INSERT INTO bkmk_link VALUES ( '16','6','ꥪԥ塼','http://www.sanrio.co.jp/spl/spl.html','ƥ󤬥ȥåץڡǷޤƤ롢ꥪԥ塼ɤΥۡڡ');
INSERT INTO bkmk_link VALUES ( '17','6','ǥˡ','http://www.tokyodisneyland.co.jp','ǥˡɤΥե륵ȡѡΣбƤ롣');
INSERT INTO bkmk_link VALUES ( '18','6','¼','http://www.jidaimura.co.jp/edo/edo02.htm','ܤˤƸơޥѡ¼Υۡڡ');
INSERT INTO bkmk_link VALUES ( '19','6','ϥƥܥ','http://www.huistenbosch.co.jp','ѡΣ졢i-modeˤбƤϥƥܥθȡ');
INSERT INTO bkmk_link VALUES ( '20','7','ۥƥͽ󥢥åץ.com','http://www.appleworld.com/','ƹΣ椫˾ξ˹äۥƥҲ𤷤Ƥ롣Υۥƥ븡ͽ󤬤Ǥ塢ʤɾܡ');
INSERT INTO bkmk_link VALUES ( '21','7','IMA HOTELS 2000','http://www.ima-grp.com','ܱʧΥۥƥ륯ݥ󶡤Ƥ롣');
INSERT INTO bkmk_link VALUES ( '22','8','˷ޡ˷ŷͽ','http://www.yanmar.co.jp/tenki/','YANMAR󶡤ŷͽΥۡڡ');
INSERT INTO bkmk_link VALUES ( '23','8','FINE DAY','http://www.dunk.co.jp','ʬϰŷξϤȡï⤬ǤΤǡܳϤŷͭǤ륵ȡ');
INSERT INTO bkmk_link VALUES ( '24','8','Mapion','http://www.mapion.co.jp','Ͽޤ顢ƻ̡ܸŴƻϩޡɸʪ̾ʤɤŪϤ򸡺뤳ȤǤ륵ȡ');
INSERT INTO bkmk_link VALUES ( '25','8','JHƻϩ','http://www.japan-highway.go.jp/','ƻϩ̾IC̾Ѥּʤɤꤷơ롼Ȥ⡢׻֤ФƤƻϩĤΥȡ');
INSERT INTO bkmk_link VALUES ( '26','8','JR CYBER STATION','http://www.jr.cyberstation.ne.jp/','ʾĴ٤뤳ȤǤ롢JRΥȡ');
INSERT INTO bkmk_link VALUES ( '27','8','JAL','http://www.jal.co.jp','ȹͽ򥤥󥿡ͥåȤǤǤ롢JALΥȡ');
INSERT INTO bkmk_link VALUES ( '28','8','ANA','http://www.ana.co.jp','󥿡ͥåȤͽǤΤϤ󡢶ʾȲʤɤޤޤʥӥ󶡤Ƥ롢ANAΥȡ');
INSERT INTO bkmk_link VALUES ( '34','10','Apple','http://www.apple.co.jp','ѥ᡼Appleθȡ');
INSERT INTO bkmk_link VALUES ( '35','10','VAIO','http://www.vaio.sony.co.jp','ˡ߽ФVaioפθȡ');
INSERT INTO bkmk_link VALUES ( '36','11','Microsoft Windows 2000','http://www.microsoft.com/japan/windows2000/','Windows NTפθOSȤ͵ΡWindows2000פΥեۡڡ');
INSERT INTO bkmk_link VALUES ( '66','10','IO DATA','http://www.iodata.co.jp','յ᡼IO DATAΥۡڡ');
INSERT INTO bkmk_link VALUES ( '67','11','Adobe','http://www.adobe.co.jp/','Photoshopͭ̾AdobeΥۡڡ');
INSERT INTO bkmk_link VALUES ( '68','10','BUFFALO ҥ륳','http://www.melcoinc.co.jp/','յ᡼륳Υۡڡ');
